UM関連項目含んでいるため退避。
==== Ver 1.0.3.0(2011/07/06)
 * NEW: 選択ツイートの履歴遡り機能を追加（Shift-Space）
 * NEW: 広告領域を表示するようになりました。
 * NEW: サポートアカウント@TweenApp開設に伴い、設定画面でフォローできるようになりました。
 * NEW: 設定画面でアカウント作成画面(TwitterのSignUpページ）を開けるようになりました。
 * NEW: インストーラー版への対応（設定ファイル保存場所など）
 * NEW: 日本語ハッシュタグに対応
 * CHG: UserStream時のリスト反映間隔の設定を復活（1.0.2.0で一旦削除した機能）
 * FIX: 認証時、画象投稿時に例外発生するバグ修正
 * FIX: UserStreamsのリスト反映時に例外発生するバグ修正
 * FIX: 英語リソースの文言修正
 * FIX: Twitter固有の予約語をユーザーIDと解釈するバグ修正
 * FIX: ブロックしたユーザーの発言をRTすると一時的に未認証状態になるバグ修正
 * FIX: 設定画面のイベント通知パネルの操作がキャンセルボタンで巻戻らないバグ修正

* 安定版(バージョン番号が末尾0のもの)の変更内容に開発版(バージョン番号が末尾0以外のもの)での変更を含んでいるため重複している場合があります。

==== Ver 0.9.8.0(2011/02/07)
 * .netFramework4ベースに変更。.netFramework4がインストールされていない環境では動作しませんのでご注意ください。
 * URL圧縮の際のURL認識を修正
 * 一度に複数のツイートを公式RTできる機能追加
 * 投稿をShift+Enterからできるように（Ctrl+EnterのShift版）。フッタはCtrl+Shift+Enterで付与しない
 * Fav&Retweetを追加（Ctrl-Alt-R/S）。一度の操作でFavとRTをまとめて行える。
 * 汎用のメッセージ表示画面を閉じる際に例外が発生する問題に対処。
 * DM発言を選択時は「この発言のRetweet回数を確認」メニューを選択不可に
 * 発言履歴にも返信先情報を持たせるように変更
 * 関連発言表示を実装（Gキー、メニューから）
 * メモリ消費量を削減（アイコンを随時スワップアウト、あるいは表示の際に読み込むように）
 * UserStream対応（デフォルトで使用されます。一覧への反映間隔調整可能）
   * UserStreamが有効の場合はRecent/Mentions/DMの定期更新、投稿時取得を停止するようにした
 * リストアイテム再描画で例外が発生する問題に対処
 * 画像投稿モードで無言ポストが出来なかった問題に対処
 * 画像投稿で例外が発生する場合があったので対処
 * UserTimeline取得対応（Ctrl-U）
 * ファイルメニューに再起動を追加
 * 補完ダイアログ呼び出しの際にInvalidOperationExceptionが発生することがあったのを修正
 * Sourceが破損している場合に対応
 * ユーザーアイコン,詳細表示の各コンテキストメニューに「このユーザーへの＠発言を検索」を追加
 * その他機能から自身のホームとふぁぼられを開けるように
 * ステータスURLを右クリックしたときの動作をホームのURLを右クリックしたときと同じようにした
 * フィルター変更時にクラッシュする問題に対処
 * 「全ユーザーのフォロー状態」メニューを個別ステータスURLにも対応
 * 認証エラー時に、サーバー時刻と現在時刻をメッセージとして戻すように
 * 発言投稿時に認証エラーだと、リトライでエラーがクリアされてしまうバグ修正
 * アイコンファイル名表示で拡張子も表示するように
 * OpenURLのダイアログをCtrl+{で閉じれるように
 * TwitVideo投稿機能削除
 * 画像サムネイルの取得開始・正常完了のメッセージを残さないように
 * リストでのIキー押下（入力欄へフォーカス移動）で例外発生する場合があったのを修正
 * 未読管理を全タブ共通に
 * 設定ダイアログ整理
 * 発言翻訳機能追加（詳細表示のコンテキストメニューに追加）
 * ]でそのポストに対するリプライを選択する機能を実装、[でリプライ先のポストがTLに無い場合にはTLに読み込んだ上で選択する機能を実装
   * リプライ先のポストが見付からなかったときに、探索範囲を全てのタブに広げるように変更
   * 検索タブでの[でのInReplyTo取得を実装
   * Shift + ] で同じポストへのリプライに移動
   * Shift + [でShift + ]の逆側に移動するように
 * 投稿リトライダイアログで例外が出る場合があったので対応
 * Fav済み発言をRTされると自分がFavした状態で反映されてしまう問題に対応
 * ux.nuでのURL圧縮、展開に対応
 * 発言詳細のSource表示のviaを削除
 * センタークリックでのタブ削除を実装
 * 短縮URL解決高速化（HTTPのHEADで処理）
 * タブが多段表示になっているときに下段のダブが正しくD&Dで移動出来なかったのを修正
 * ユーザータイムラインタブ、リストタブの上部にタブが表示している内容をラベルで表示するように
 * ListManageの購読者数の表示の誤りを修正
 * 発言詳細の@IDをクリックした場合にUserTimelineタブを開くように変更
 * Ctrl+EでユーザーホームのURLはユーザーTLタブとして開くように変更
 * プロフィール画面の発言の検索をUser_Timelineに変更
 * ユーザー情報ダイアログの最近の発言内の@付きのリンクでユーザーTLタブが開くように変更
 * タブ削除時に前回のタブを選択するように変更
 * プロフィール表示時にNullReferenceExceptionを起こす場合があったのを修正
 * Twitter検索yatsのアドレス変更対応
 * DMでStatusUrlのコピーが出来ないように変更。STOTコピーではURL部分にStatusIdをコピーするように変更
 * 取得した公式RTが自分の発言かの判定に失敗することがあるバグを修正
 * DynamicQueryを用いたラムダ式による振り分けに対応
 * PiaproのURL生成部分を見直し(thx @tk4168)
 * UserPictureコンテキストメニューの表示を変更
 * 詳細表示の更新頻度見直し
 * プロフィール表示時に最新発言が返ってこないユーザーの表示ができなかったバグを修正
 * その他メニューに指定ユーザーのユーザータイムライン、ふぁぼられを開く機能を追加
 * 画像投稿先を保持するよう変更
 * プロフィール画面でアカウント作成日時が正しく表示されない場合がある問題に対処
 * API簡易計算でUserStream、UserTimelineを考慮するように
 * API情報ダイアログにUserStream接続状態も表示するように
 * Plixiへの画像投稿に対応
==== Ver 0.9.7.0(2010/11/14)
 * 描画周りの高速化と調整を行った
 * リスト表示が真っ白になる現象の対策を行った　まだ発生する方はご連絡ください。
 * 連投モードで投稿失敗ダイアログをキャンセルした場合にStatusTextの背景色が戻らないのを修正
 * Protect発言をRT/STOTコピー許可するかの設定を廃止し公式RTの際に確認しない設定を追加した
 * Alt+Shift+CでユーザーIDをコピーするようにした 編集メニューにもあります。
 * Sourceのリンク部分においてもフィルタが効くようにした（URL検索にチェックを入れる必要があります)
 * WebBrowserコンポーネントの初期化完了を待つようにした
 * 移動や削除などでフィルタ選択が解除された場合にボタンの有効状態が切り替わっていなかったのを修正
 * ObjectDisposedExceptionが起きることがあったのを修正
 * 短縮URL解決で例外が発生することがあったのを(多分)修正
 * クエリまたはフラグメント部分に？を含むURLの認識に失敗するバグを修正 ?を複数含むURLの自動短縮が正しく動作するようになったはず
 * 連投モードで投稿失敗ダイアログをキャンセルした場合にStatusTextの背景色が戻らないのを修正
 * ステータスバーのAPI表示とログ表示の位置を入れ替えを行った
 * Recent,Mentionsの更新中の文が出ていなかったのを修正
 * URLのクエリに@を含んでいる場合に正しく自動圧縮できないのを修正
 * Twitterの新URLに対応。新URLのユーザーページを右クリックした際にフォロー関係メニューが出なかったのが直ったはず
 * メニュー操作周りを若干修正
 * Fav取得時に二重取得回避が正しく判定されていなかったのを修正
 * プロフィール更新の際にエラーチェックを行っていなかったのを修正
 * プロフィール更新に失敗した際にTweenの認証情報が壊れる場合があったのを修正
 * リスト選択画面のタブオーダーを調整した
 * 振り分けルール作成からタブ管理画面まで遷移すると一部メニューが無効になるバグ修正
 * 画像プレビューをCloudFiles,Instagramに対応
 * pixivのhtml構造変更に対応
 * リストアイコンを縦方向にセンタリングして描画するように変更
 * 詳細表示の時刻の右側にSourceを表示するようにした。クリックでクライアントの公式ページを開く。(Web,Keitai Mailの場合は公式)
 * API残数とリセットまでの時間をグラフ表示するようにした (青が残り回数、赤がリセットまでの残り時間)
 * Fav削除の際に直近の発言を選択し直すようにした
 * タブ振り分けルール作成を振り分け先タブ選択でキャンセルした場合にメニューが異常になるバグを修正
 * URL直後のハッシュタグがリンク化されないバグを修正
 * PublicSearchの取得数を変更可能にした
 * Ctrl+J/K,SHIFT+J/Kが効かなくなっていたバグを修正
 * リストビューでのアイコンが縦長に描画されるバグを修正
 * リストビューでの文字列の描画位置を上寄せに変更
 * 非公式RTの際に元ツイートに@IDが含まれていた場合@を含めないようにした
 * アイコンの背景を白く塗るようにした
 * リスト部分で表示し切れない行は表示していなかったのを、読めそうな範囲で描画出来そうな行は表示するように変更
 * 短縮URL解決の設定が正しく動作しておらずオフにできなかったバグを修正
 * yfrogへの画像投稿に対応
 * 取得時の自ポスト既読化をDMにも適用するようにした
 * Favorites取得数を設定できるようにした。０で標準取得数に合わせる
 * リストビューの描画を若干高速化した
 * BASIC認証モードの場合は自動的にBASIC認証への変更許可を有効にするようにした
==== Ver 0.9.6.2(2010/11/02)
 * 高速化など表示周りの再調整。リスト表示が真っ白になる方はご連絡ください。
 * リストアイコンを縦方向にセンタリングして描画するように変更
 * 詳細表示の時刻の右側にSourceを表示するようにした。クリックでクライアントの公式ページを開く。(Web,Keitai Mailの場合は公式)
 * API残数とリセットまでの時間をグラフ表示するようにした
 * Fav削除の際に直近の発言を選択し直すようにした
 * タブ振り分けルール作成を振り分け先タブ選択でキャンセルした場合にメニューが異常になるバグを修正
 * 画像プレビューをCloudFilesに対応
==== Ver 0.9.6.1(2010/10/22)
 * URL直後のハッシュタグがリンク化されないバグを修正
 * PublicSearchの取得数を変更可能にした
 * Ctrl+J/K,SHIFT+J/Kが効かなくなっていたバグを修正
 * リストビューでのアイコンが縦長に描画されるバグを修正
 * リストビューでの文字列の描画位置を上寄せに変更
 * 非公式RTの際に元ツイートに@IDが含まれていた場合@を含めないようにした
 * アイコンの背景を白く塗るようにした
 * リスト部分で表示し切れない行は表示していなかったのを、読めそうな範囲で描画出来そうな行は表示するように変更
 * 入力欄でCtrl+Shift+←→　を動作するようにした
 * 短縮URL解決の設定が正しく動作しておらずオフにできなかったバグを修正
 * yfrogへの画像投稿に対応
 * 取得時の自ポスト既読化をDMにも適用するようにした
 * Favorites取得数を設定できるようにした。０で標準取得数に合わせる
 * リストビューの描画を若干高速化した
 * BASIC認証モードの場合は自動的にBASIC認証への変更許可を有効にするようにした
==== Ver 0.9.6.0(2010/10/12)
 * 公式RT化確認メッセージを丁寧にし、投稿をキャンセルすることができるようにした
 * ダイレクトメッセージの色分けを、送信DMを片思い表示色にしていたのを変更し、受信DMを片思い表示色とするようにした
 * 設定画面を開く際のAPIカウント取得処理をバックグラウンドで行うように修正
 * POSTMODE切り替えメニューに「フォーカスを発言欄へロック」を追加。有効にした場合投稿後にリストへ移動せず投稿欄のままになります。
 * 発言欄にフォーカスがある場合にCTRL+SHIFT+カーソルキー上下でリストを移動できるようにした
 * Fav削除の際に例外が発生することがあったバグを修正
 * 通信エラーの際にAPIカウントを取得していなかったバグを修正
 * 発言詳細の名前部分を右クリックした際のメニューを、発言詳細のアイコン右クリックメニューへ統合した
 * ヘルプメニューにショートカットキー一覧を追加。Wikiの該当ページをブラウザで開きます。
 * 詳細表示の名前をダブルクリックするとHomeにジャンプする機能を削除。ユーザーアイコンをダブルクリックした際にHomeを開くのはそのままですのでそちらで代用してください。
 * 詳細表示の名前をダブルクリックした際に表示が乱れることがあったバグを修正
 * フィルタ編集中にオートコンプリートができるようにした。ID入力欄では@抜きのID、発言内容欄では投稿欄同様の@,#入力補完ができる。
 * 公式RTにするかどうかの確認ダイアログでYesを選択した場合には、Retweet確認ダイアログを出さないようにした
 * フィルタ編集画面のフィルタ一覧リストで横スクロールできるようにした
 * API残数の表示タイミングを見直し、精度の向上を図った
 * GDI+例外に対応するため、アニメーションgifを投稿する場合の画像表示はbitmap化してから表示するよう変更。投稿画像自体はアニメーションgifのまま送信されます。
 * ユーザーのListsへの追加、削除をできるようにした
 * F6でMentions、F7でDMタブを更新するようにした
 * Mentionsタブで作成した除外ルールが適用されるようにした。除外ルールが適用されたReplyは通常の書き込みとして扱われ、通知もInformationアイコンで行われる。
 * ステータスバーのログで、Twitterへのアクセスエラーの際にエラーの起こったメソッド名を表示するようにした
 * 制御文字のみを投稿した場合に例外を起こすバグを修正
 * 片思いリストを更新した際に詳細表示が更新されていなかったのを修正
 * プロフィール画面へ画像ファイルをドラッグ＆ドロップすることでアイコンの変更を可能にした
 * アイコンに使用可能なファイルサイズのチェックを行うようにした
 * カレントフォルダ名が全角スペースで終わっている場合に例外を起こす現象に対処した
 * プロフィール画面からアイコン変更時にアイコンに使えるファイルかどうかのチェックを強化した
 * クライアントSourceが非常に長い文字列の場合に表示が壊れる現象に対処
 * リストのスクロール制御の際に例外を起こすことがあるバグを修正
 * タイムラインなどの定時更新のコードを大幅に見直した
 * ニコニコ動画APIへのアクセスの際にUserAgentを渡すようにした
 * エラーコード500系のサーバーエラーの場合はAPI情報を更新しないようにした
 * 進んでいたPC時計を戻した場合、戻す前の時間になるまで取得が出来なくなるバグ修正
 * @返信ALLを行った際にIDが小文字になってしまうことがあるのを修正
 * 画像プレビューで通信エラーが起きた際のエラーメッセージを表示するようにした
 * 通信エラーが起こった際に処理ルーチン名を表示するようにした
 * 画像プレビューでplixi.com,ow.ly,vimeo,mypix.jp(shamoji)に対応した
 * 短縮URL展開が無効の場合にbctiny.comのプレビューが動作していなかったバグ修正
 * t.coのURL展開に対応(experimental 動作が変更される可能性があります)
 * PublicSearchの取得件数を40件から100件に引き上げ
 * 非アクティブな場合にホットキーを入力したときはアクティブになるようにした
 * 設定画面のAPI最大値取得がうまく動かない場合があったので修正
 * STOTコピーと読み上げソフトとの相性を改善した
 * タブ振り分けの判定とルール編集が重なると例外が起きる場合があったのを修正
 * 発言詳細でテキストを選択せずにCtrl-Cするとエラーメッセージが表示されるバグ修正
 * URLを開く際のウインドウが最大化できてしまうのを修正
 * 発言が選択されていない時にコンテキストメニューの「ホームを開く」からhttp://twitter.com/を開くようにした
 * 非公開アカウントの説明について新ヘルプページへリンクするようにした
 * アニメーションGIFへの対応を終了。画像プレビュー、アイコンなどについてはすべて静止画として扱うようになります。
 * 「ふぁぼられを開く」のジャンプ先をfavstar.fmへ変更した。Tweenが日本語で動作している場合はja.favstar.fmを開く。
 * 140文字を超えた場合の文字列切り捨ての際に、@ID,ハッシュタグ,URLの破損を考慮するように修正
 * u.nuサービス終了に伴いメニューなどを削除した
 * 画像をドラッグ＆ドロップした場合に自分をアクティブにして投稿欄へフォーカスするようにした
 * |で始まる文字列がハッシュタグとして認識されてしまうバグを修正
 * 120秒間初期読み込み処理が終了しなかった場合強制的に処理を打ち切るようにした
 * 前データ取得、初回取得時の取得件数を指定できるようにした
 * 設定画面でフッタに関する項目が変更されていた場合に入力欄の文字数表示へ反映されていなかったバグを修正
 * API残数表示をダブルクリックした場合にAPI情報ダイアログを表示するようにした
 * BASIC認証廃止に伴い、BASIC認証警告ダイアログを廃止しBASIC認証のラジオボタンを選択不可能にした
 * 複数の発言を選択した状態でFav削除を実行したときのメッセージがおかしかったのを修正
 * 他のアプリでFav追加したポストが、TweenのFavoriteタブで更新しても追加されない不具合を修正
 * ある特定パターンのURLを含んだ発言において詳細表示が異常になる現象に対処
 * ハッシュタグをクリックしてPublicSearchタブを開いたときにそのハッシュタグをハッシュタグマネージャへ登録するようにした
==== Ver 0.9.5.0(2010/08/08)
 * 画像投稿のキャンセル時にフォーカスをリスト部へ戻すようにした
 * 画像投稿モードをESCキーでキャンセルした際にビープ音が鳴らないようにした
 * 読み上げソフトで、タイムラインの選択tweetを変更すると、画像投稿画面の「投稿先」ラベルを毎回読み上げてしまうので、未使用時は投稿画面のパーツを無効に
 * 画像投稿モードで設定したファイルをロックしたままになるバグを修正
 * 画像投稿モードでファイル名として入力された文字列が無効なパス形式の場合に例外が発生するバグを修正
 * 画像プレビューで http://www.twitpic.com/ で始まるTwitPicのURLに対応した
 * 画像投稿モードでファイル選択ダイアログ表示中でもドラッグ＆ドロップを許可していたのを修正
 * 画像投稿後にリスト部にフォーカスが戻らないのを修正
 * DirectMessageタブで発言を選択していない場合に削除しようとすると例外が発生するバグを修正
 * 画像投稿モードから抜けた場合にも画像ファイル検証を行っていたのを修正
 * 画像投稿モードで画像を読み込む際に、ファイルが見つからない場合は別のメッセージを表示するようにした
 * 振り分けルール画面でタブを新規追加した際に変更が反映されないバグ修正
 * 振り分けルール画面でコピー/移動させた振り分けルールが表示のみ反映され実際には動作していなかったバグを修正
 * 振り分けルール画面でコピー/移動させた先の振り分けルールを編集すると同時にコピー/移動させた振り分けルールがすべて書き換わるバグを修正
 * 振り分けルール画面でボタン押下可能状態の制御が異常になることがあるバグを修正
 * 画像投稿モード時はSpaceキーによる未読ジャンプを行わないようにした
 * 画像投稿モード時投稿欄に文字列を入力していない場合に投稿しようとするとリロード扱いになっていたのを修正
 * 画像投稿モードで不正なGIFアニメ画像を投稿しようとした場合に赤バッテンになる問題を修正
 * 「Tweenについて」ダイアログを表示した際にOKボタンへフォーカスを移すようにした
 * 画像投稿モードでimg.lyへのアップロードに対応
 * ステータスバーのAPI残数表示の部分へマウスカーソルを移動させた場合にリセット予定時刻を表示するようにした
 * プロフィール画面を閉じた際にTweenのフォームがアクティブにならないことがある現象に対処
 * プロフィール更新を行った際に取得済みのAPI情報が破壊されるバグを修正
 * TwitVideoへの動画アップロードに対応
 * ファイルをドラッグ＆ドロップした際の判定を強化しファイルサイズオーバーの画像または動画の場合は対応サービスに自動切り替えするようにした
 * 詳細表示でCtrl+Insertキーでもコピーができるようにした
 * 画像投稿モードで使用する画像リソースを差し替えた また、動画をドラッグした場合は専用の画像を表示するようにした(thx @pureminami)
 * 画像投稿モードでファイルを設定した際にファイルサイズチェックを行うようにした
 * 画像投稿モードで無効なファイル形式を設定した場合にファイル名がクリアされない場合があるバグを修正
 * 自プロフィール簡易表示の場合でもプロフィール画面を表示するようにした。従来通り書き込みの際に返された情報を使うのでAPIは消費しません。
 * Listsタブでin_reply_to追いかけを行った際に、reply先発言がRecent側で保持されていないとListsタブに存在してもWebを開いていたバグを修正
 * 除外フィルタを使用している振り分けルールを移動・コピーすると例外を発生するバグを修正
 * 振り分けルール移動・コピー後に元タブに振り分けルールが存在しなくなった場合のボタン状態制御が行われていなかったバグを修正
 * 詳細表示にフォーカスがある場合でもCtrl+Shift+Pで画像投稿モードに切り替えできるようにした
 * 発言詳細のアイコンを右クリックした際に例外を起こすことがあるバグを修正
 * 一部メッセージ表記ミスを修正
 * 画像プレビューでYouTubeの動画情報を表示するようにした
 * YouTubeの動画プレビューで、URLを開くと他の動画へリダイレクトされる場合に対応した
 * Vista/7で詳細表示のユーザー名をダブルクリックしたときにクリップボードにコピーされる問題に対処
 * Alt+Shift+↑↓でサムネイルを切り替え、Alt+Shift+Enterで元画像を開くようにした
 * 非公式RTを未編集で投稿する場合は、公式RTで投稿して良いか確認するように
 * Ctrl+CでのSTOTコピー時にプロテクト付きの発言が含まれていると、警告ダイアログの内容がクリップボードに書き込まれてしまう不具合を修正
 * Alt+↑↓、Alt+PageUp,PageDownでの発言詳細のスクロールができるようにした
 * ステータスバーのAPI残数表示の位置を変更した
 * URL選択ダイアログでj,kキーにより上下移動できるようにした
 * 新着のMentionsがあった場合にタイトルバーを点滅させる機能を追加。表示タブの「新着Mentions時画面点滅」を有効にしてください。
 * @補完、ハッシュタグ補完画面の最大化が可能になっていたバグを修正
 * API残数、API最大数、APIリセット時間が正しく取得できなかった場合に表示が不正になるバグを修正
==== Ver 0.9.4.0(2010/07/15)
 * 認証完了後、自分の発言が片思い表示になるバグ修正
 * ユーザー変更時にフォロワー情報を取得するよう変更
 * 振り分けルール画面でタブ名変更・削除をした場合、タブ選択画面に変更が反映されないバグ修正
 * 公式RTをコピーした時、正しくないURLがコピーされるバグ修正
 * 設定画面、メニューでのAPI情報取得処理を非同期化
 * その他機能よりAPIを使用するメニューを選択した場合、処理後にステータスバー表示を更新するよう変更
 * API関連情報（残数など）の精度向上
 * リストの発言取得で例外発生する不具合対応のため、詳細情報をログに出力するように（仮対処）
 * プロフィール画面でのアイコン画質向上
 * アイコン取得時に例外が発生することがあったので対応した
 * r.sm3.jpのリンクが壊れるバグ修正
 * bit.ly、j.mpで短縮した結果の判定で、短縮サービスと別名で短縮された場合も許可するよう変更（bit.ly->amzn.to対応）
 * 画像アップロードに対応
   * 対応しているサービスはTwitPic,TwitVideoです。
   * 画像ファイルのD&D、画面右下▽メニューから選択（Ctrl-Shift-P）で画像モードへ
   * Esc、Ctrl-Shift-Pで通常モードへ戻ります。
 * 振り分けルール画面でルール編集を行いOKを押して確定した場合に複数選択になってしまう場合があるのを修正
 * アップデータを管理権限に昇格させないように変更
 * 振り分けルール画面で、編集ボタンをクリックした際に複数選択を解除するよう変更
 * Twitter不具合で不正な通信ヘッダを受信した際、httpヘッダからのAPI情報取得時に例外エラーが起きないよう対処
==== Ver 0.9.3.0(2010/07/01)
 * in_reply_to_status_idの付いた発言で、reply元の発言をキーで追いかけられるようにした。 [でreply元発言へジャンプ、]で元の書き込みへ戻る。(thx @__park)
 * 返信先を開く際、検索タブ、リストタブを考慮していなかったバグ修正
 * ホットキー機能追加。設定でキー設定。アイコン化と画面表示のトグル動作。画面表示する際は、入力欄にフォーカスします。
 * オフライン時にCPUを使っていた問題を修正
 * Fav/DM/PublicSearchの取得で、Twitterが指定件数より多く結果を返す不具合への対処
 * 400系エラー時は投稿リトライを行わないように変更
 * @あるいは#の入力後にCtrl+Shift+Spaceを押すことで補完ダイアログを呼び出せるようにした
 * STOTコピーの際にProtect発言が含まれていた場合ダイアログを出すようにした
 * 相互フォロー状態表示の際にID表示が正しくない場合があったのを修正
 * スペースキーを押したままにしてスペースの連続が入力された場合にも未読ジャンプするようにした（判定タイミングは従来の通りキー入力を止めたときです）
 * 投稿文内の全角スペースを半角スペースにする処理で、半角スペース2つから1つへの置換に変更
 * DM送信時にエラーチェックをしていなかったのを修正
 * 投稿内容が"."で始まっていた場合にin_reply_toを付加しないようにした。以前は". "（ドット＋スペース）で始まっていた場合のみin_reply_toを消していました。
 * htn.to,amzn.to,moi.stのURL展開に対応
 * タブ名入力ダイアログで正しくキャンセルできない場合があるバグを修正
 * 編集メニューの「抽出条件入力」を、PublicSearchタブ以外では無効にするようにした
 * 認証エラーの場合にエラー内容を表示するようにした
 * "Google:"と始める文字列をポストすることによって検索する機能で、小文字でもよいようにした
 * ウインドウサイズを狭くした状態でTweenをアクティブにするとステータスバーが消える問題に対処
 * 振り分けルール画面で選択しているタブの種別を表示するようにした
 * 振り分けルール画面でルールを複数選択して別のタブへコピー/移動/削除が行えるようにした
 * 振り分けルール画面で▲、▼ボタンを新設し、ルールの順番を変えられるようにした
 * ステータスバーのAPI数表示において、現在の上限値も表示するようにした
 * API簡易計算においてAPI上限値を動的に更新するようにした
 * 画像プレビューで未対応画像形式のチェックをするようにした
 * ハッシュタグマネージャで大文字小文字を区別せずに扱うようにした
 * ハッシュタグの自動付加が有効な場合、メニューにチェックマークを入れるようにした
 * 入力欄でのCtrl+Shift+T以外の方法によってハッシュタグを切り替えた場合に文字数カウント表示が反映されていなかったバグを修正
 * パスワードを設定するミスが多いため、設定画面をOKで閉じる際にbit.lyのアカウント情報が正しいかどうか検証するようにした
 * Ctrl+フルキー数字でタブのダイレクト選択ができるようにした。Ctrl+1～8で左端からのタブを選択、Ctrl+9で最後尾タブ選択。
 * ソート方法を切り替えたときに現在選択している発言が変更されないようにした
 * プロフィール表示の際に、Twitterの仕様バグにより一部のユーザーが正しく取得できない不具合を回避するように修正
 * プロフィール情報取得、フォロー、アンフォロー、フォロー状況取得を非同期化してプログレスバーを表示するようにした
 * プロフィール画面でのユーザーアイコン表示をWebのユーザーページと同じ73×73ピクセルに修正
 * プロフィール画面からブロック、ブロック解除、スパム報告が行えるようにした。事前に確認ダイアログが出ます。
 * プロフィール画面からのフォロー解除の際に確認を行うようにした
 * プロフィール画面で自分のプロフィールを表示した場合、プロフィールの編集を可能にした
 * プロフィール画面でアイコン変更を可能に（自分の発言を選択して、「プロフィール表示」して、アイコンを右クリック）。Twitterの仕様により次回発言しないと変更が成功しているか確認できません。
 * プロフィール画面の項目にアカウントIDを追加
 * プロフィール画面のアイコンをダブルクリックすると原寸大の画像をブラウザで開くようにした
 * プロフィール画面に「発言を検索」ボタンを追加。ユーザーの発言を検索タブで表示します。
 * プロフィール画面で「認証済み(Verified)」の文字をクリックした際に、本家の認証済みアカウントについての説明ページを開くようにした
 * 「その他機能」にプロフィール表示を復活させた。IDをダイアログで指定することができます。
 * 公式RTされた発言をSTOTコピーまたはステータスURLコピーした場合にRT元発言を指すURLを生成するように変更
 * アイコン非同期取得の際のタイムアウト時間を調整
 * 発言数・Followers/Following数をタイトルに表示するオプションの選択肢を追加（設定画面）
 * タブ種別が正しく取得できないことがあるバグ修正。これによりListsタブなどが作成できないことがある不具合が修正されます。
 * IDN形式の短縮URLを発言詳細部でクリックした時、開けなかった問題を修正
 * タブメニューのショートカットが効かない場合がある不具合修正
 * URL直後の>(&gt;)がURLに含まれてリンク化されるバグ修正
 * 開発版(バージョンの末尾が0以外）、デバッグビルド実行中の場合はトレース出力が初期状態で有効になるようにした
 * Retweetカウントの取得の際に時間がかかるため、プログレスバーを表示するようにした
 * タスクトレイへのアイコン追加タイミングを変更した
 * Followersリストの取得リトライがうまく機能していなかったので修正
 * piapro,flickr,pixivにある画像への直リンクの場合にプレビューが動作しなかったバグを修正
 * 画像プレビューでニコニコ動画公式チャンネルの動画サムネイルに対応した。他にも対応URLパターンを増やした。
 * ニコニコ動画の画像プレビューの際に、サムネイル取得不可の場合エラーコードを表示するようにした
 * ニコニコ動画のプレビューで、ツールチップを使い動画情報を表示するようにした（マウスカーソルをサムネイルの上に移動してください）
 * 画像プレビューでついっぷるフォトに対応した
 * PublicSearchの検索を同一内容で頻繁に実行すると検索結果が返ってこなくなることがあるため、検索のみ最低30秒更新とした
 * PublicSearchの際のクエリにsince_idを付加するようにした
 * 詳細表示のユーザー名でのツールチップ表示を取りやめた。ホームを開く、右クリックでメニューを開く機能はそのままです。
 * 詳細表示のユーザー名左クリックでホームを開く動作をダブルクリックに変更した
 * 詳細表示のユーザー名とアイコンの各部にマウスカーソルを置いたときにカーソルを変えるようにした
 * 詳細表示のユーザー名右クリックに「このユーザーの発言を検索」を追加。ユーザーの発言を検索タブで表示します。
 * 詳細表示の右クリックメニューに「このユーザーの発言を検索」を追加。ユーザーの発言を検索タブで表示します。
 * 詳細表示にフォーカスがある場合にIEのショートカットが動作してしまっていたのを修正
 * 詳細表示でSHIFT+F5キーまたはSHIFT+Rキーを押した場合に通常の更新として動作していたバグを修正(遡るのが正しい)
 * 発言詳細で右クリックから「全ユーザーのフォロー状態」で、表示されている@IDのフォロー状況を順次確認し、リムーブするかどうかの確認を出すようにした
 * API Proxy環境下でxAuth認証が通らない不具合を修正（通常のxAuth認証には影響ありません）（APIプロキシの実装に依存するため、動作保証できません）
 * URL短縮の対象には、スキーマを省略したwwwから始まるドメインは含めないように変更
==== Ver 0.9.2.4(2010/06/28)
 * 400系エラー時は投稿リトライを行わないように変更
 * API ProxyのOAuth対応が動作していなかったバグ修正
 * @,#補完ダイアログ呼び出しのショートカットをCtrl+Shift+Spaceに変更
 * プロフィール画面からブロック解除ができるようにした。ダイアログによる確認が入ります。
 * STOTコピーの際にProtect発言が含まれていた場合ダイアログを出すようにした
 * 相互フォロー状態表示の際にID表示が正しくない場合があったのを修正
 * @,#補完ダイアログにおいて、Space、TABキーでの確定が機能していなかったバグを修正(0.9.2.3のみ。それ以外のバージョンでは問題ありません)
 * 詳細表示にフォーカスがある場合にIEのショートカットが動作してしまっていたのを修正
 * 詳細表示でSHIFT+F5キーまたはSHIFT+Rキーを押した場合に通常の更新として動作していたバグを修正(遡るのが正しい)
 * スペースキーを押したままにしてスペースの連続が入力された場合にも未読ジャンプするようにした（判定タイミングは従来の通りキー入力を止めたときです）
 * 発言のないタブでソート順変更をしようとするとクラッシュするのを修正(0.9.2.3のみ。それ以外のバージョンでは問題ありません)
 * moi.stのURL展開に対応
 * タブ名入力ダイアログで正しくキャンセルできない場合があるバグを修正
 * 編集メニューの抽出条件入力について、PublicSearchタブ以外では無効にするようにした
 * 認証エラーの場合にエラー内容を表示するようにした
 * "Google:"と始める文字列をポストすることによって検索する機能で、小文字でもよいようにした
 * ウインドウサイズを狭くした状態でTweenをアクティブにするとステータスバーが消える問題に対処
 * 振り分けルール画面で選択しているタブの種別を表示するようにした
 * 振り分けルール画面でルールを複数選択して別のタブへコピー/移動/削除が行えるようにした
 * 振り分けルール画面で▲、▼ボタンを新設し、ルールの順番を変えられるようにした
 * 一部においてタブ名/文字列入力ダイアログでのキャンセルを考慮していなかったバグを修正
 * ステータスバーのAPI数表示において、現在の上限値も表示するようにした
 * API簡易計算においてAPI上限値を動的に更新するようにした
==== Ver 0.9.2.3(2010/06/14)
 * DM送信で複数行を考慮していなかったのを修正(開発版のみ。安定版では問題ありません)
 * 画像プレビューで未対応画像形式のチェックをするようにした
 * ハッシュタグマネージャで大文字小文字を区別せずに扱うようにした
 * パスワードを設定するミスが多いため、設定画面をOKで閉じる際にbit.lyのアカウント情報が正しいかどうか検証するようにした
 * Ctrl+フルキー数字でタブのダイレクト選択ができるようにした。Ctrl+1～8で左端からのタブを選択、Ctrl+9で最後尾タブ選択。
 * in_reply_to_status_idの付いた発言で、reply元の発言をキーで追いかけられるようにした。 [でreply元発言へジャンプ、]で元の書き込みへ戻る。(thx @__park)
 * ソート方法を切り替えたときに現在選択している発言が変更されないようにした
 * アイコン変更の際のファイル名フィルタを変更した
 * @あるいは#の入力後にCtrl+Spaceを押すことで補完ダイアログを呼び出せるようにした
 * 投稿がDMかどうかを判定する正規表現のミスにより、一部の発言ができなかったバグを修正（開発版のみ。安定版では問題ありません）
 * 投稿内容が"."で始まっていた場合にin_reply_toを付加しないようにした。以前は". "で始まっていた場合のみin_reply_toを消していました。
 * 発言詳細からリンクを外部アプリケーションにドラッグできなくなっていた不具合を修正(0.9.2.2のみ。安定版では問題ありません）
 * 発言詳細で右クリックから「全ユーザーのフォロー状態」で、表示されている@IDのフォロー状況を順次確認し、リムーブするかどうかの確認を出すようにした
 * 入力欄でのCtrl+Shift+T以外の方法によってハッシュタグを切り替えた場合に文字数カウント表示が反映されていなかったバグを修正
 * プロフィール画面でのユーザーアイコン表示をWebのユーザーページと同じ73×73ピクセルに修正
 * プロフィール画面からブロック、スパム報告が行えるようにした。事前に確認ダイアログが出ます。
 * プロフィール画面からのフォロー解除の際に確認を行うようにした
 * 公式RTされた発言をSTOTコピーまたはステータスURLコピーした場合にRT元発言を指すURLを生成するように変更
 * アイコン非同期取得の際のタイムアウト時間を調整
 * 「その他機能」にプロフィール表示を復活させた。IDをダイアログで指定することができます。
==== Ver 0.9.2.2(2010/06/05)
 * 発言数・Followers/Following数をタイトルに表示するオプションの選択肢を追加
 * アイコンイメージのキー重複で取得ポストが追加されないバグ修正(0.9.2.1で発生 安定版では発生しません)
 * タブ種別が正しく取得できないことがあるバグ修正。これによりListsタブなどが作成できないことがある不具合が修正されます。
 * DMが送信できないバグ修正(0.9.2.1で発生 安定版では発生しません)
 * 詳細表示のアイコンダブルクリックでホームを開けなくなっていたのを修正(0.9.2.1で発生 安定版では発生しません)
 * IDN形式の短縮URLを発言詳細部でクリックした時、開けなかった問題を修正
 * プロフィール画面から編集を可能にした
 * プロフィール画面からアイコンを変更可能にした。Twitterの仕様により次回発言しないと変更が成功しているか確認できません。
 * タブメニューのショートカットが効かない場合がある不具合修正
 * URL直後の>(&gt;)がURLに含まれてリンク化されるバグ修正
 * 検索時のsince_idが、検索条件が変わってもクリアされていないバグ修正(0.9.2.1で発生 安定版では発生しません)
 * 開発版(バージョンの末尾が0以外）、デバッグビルド実行中の場合はトレース出力が初期状態で有効になるようにした
==== Ver 0.9.2.1(2010/06/01)
 * Retweetカウントの取得の際に時間がかかるため、プログレスバーを表示するようにした
 * タスクトレイへのアイコン追加タイミングを変更した
 * ユーザー情報ダイアログで、「認証済み(Verified)」の文字をクリックした際に、本家の認証済みアカウントについての説明ページを開くようにした
 * 詳細表示のユーザー名でのツールチップ表示を取りやめた。ホームを開く、右クリックでメニューを開く機能はそのままです。
 * 詳細表示のユーザー名左クリックでホームを開く動作をダブルクリックに変更した
 * htn.to,amzn.toのURL展開に対応
 * Followersリストの取得リトライがうまく機能していなかったので修正
 * piapro,flickr,pixivにある画像への直リンクの場合にプレビューが動作しなかったバグを修正
 * 画像プレビューでニコニコ動画公式チャンネルの動画サムネイルに対応した。他にも対応URLパターンを増やした。
 * ニコニコ動画の画像プレビューの際に、サムネイル取得不可の場合エラーコードを表示するようにした
 * ニコニコ動画のプレビューで、ツールチップを使い動画情報を表示するようにした
 * ハッシュタグの自動付加が有効な場合、メニューにチェックマークを入れるようにした
 * PublicSearchの検索を同一内容で頻繁に実行すると検索結果が返ってこなくなることがあるため、検索のみ最低30秒更新とした
 * PublicSearchの際のクエリにsince_idを付加するようにした
 * プロフィール情報取得、フォロー、アンフォロー、フォロー状況取得を非同期化してプログレスバーを表示するようにした
 * 詳細表示のユーザー名とアイコンの各部にマウスカーソルを置いたときにカーソルを変えるようにした
 * ユーザー情報ダイアログに「発言を検索」ボタンを追加。ユーザーの発言を検索タブで表示します。
 * 詳細表示のユーザー名右クリックに「このユーザーの発言を検索」を追加。ユーザーの発言を検索タブで表示します。
 * 詳細表示の右クリックメニューに「このユーザーの発言を検索」を追加。ユーザーの発言を検索タブで表示します。
 * API Proxy環境下でxAuth認証が通らない不具合を修正（通常のxAuth認証には影響ありません）
 * 返信先を開く際、検索タブ、リストタブを考慮していなかったバグ修正
 * プロフィール表示の際に、Twitterの仕様バグにより一部のユーザーが正しく取得できない不具合を回避するように修正
 * 投稿文内の全角スペースを半角スペースにする処理で、半角スペース2つから1つへの置換に変更
 * プロフィール表示画面の項目にアカウントIDを追加
 * プロフィール表示画面アイコンをダブルクリックすると原寸大の画像をブラウザで開くようにした
 * 画像プレビューでついっぷるフォトに対応した
 * DM送信時にエラーチェックをしていなかったのを修正
 * URL短縮の対象には、スキーマを省略したwwwから始まるドメインは含めないように変更
==== Ver 0.9.2.0(2010/05/23)
 * Ctrl+Pでユーザープロフィール画面が開いてしまうことがあったバグを修正
 * 通信時のメッセージログで時間も参照できるように。表示件数を20件に。
 * 設定ファイル読み込み時のエラーチェックを見直し
 * ソート順表示の方向が逆だったのを修正
 * その他機能に「この発言のRetweet回数を確認」を追加。Webでは見えなかった100人以上のRTでも確認できます。100人確認ごとにAPIを1消費します。（例：550人がRTしていれば6消費）
 * ニコ動の短縮パターンに漏れがあり、誤動作していたバグ修正
 * 投稿失敗時に発言履歴に残らない場合があった不具合修正
 * 表示中の画像プレビューが閉じてしまう場合がある不具合修正
 * 詳細表示のユーザーアイコンダブルクリックでも発言者のホームを開けるようにした
 * 通信後に例外が起きることがあったバグを修正
 * TumblrのプレビューでPostTypeが画像以外のためにプレビュー失敗した場合にPostTypeを表示するようにした
 * 画像プレビューでTumblrのサムネイル画像への直リンクがプレビューできなかったバグを修正
 * PixivプレビューでR-18/R-18GのいずれかのタグがついたURLの場合に表示メッセージを変更するようにした
 * Retweetされた回数の表示機能追加（「その他機能」メニュー）
==== Ver 0.9.1.0(2010/05/19)
 * リスト部のソート順表示が2カラムの場合に対応できていなかった問題を修正
==== Ver 0.9.0.0(2010/05/19)
 * 初期設定でのMentionsの更新間隔を180秒に、取得数を40件へ。バージョンアップの方は手動で調整してください。
 * 発言リストの列順序の初期値を変更
 * 画像プレビューをTumblrに対応(posttype=photoのみの対応となります)、フォト蔵に対応
 * 起動時のFollowersリスト取得処理に失敗した場合、初期読み込み処理の最終段階で再試行するようにした
 * Twitterが相変わらずおかしいので、一時期無効にしていた公式RTがFav済みで流れてくる件の対策を復活
 * ユーザープロフィール画面追加。フォロー状況の表示、フォロー/フォロー解除もダイアログからできます。APIを2消費します。
   * 右クリックメニュー、操作メニューにプロフィール表示を追加。ショートカットキーはAlt+P。
   * 発言詳細領域の名前表示部分の右クリックメニューから、発言者のプロフィール表示、フォロー・フォロー解除が行えるようにした
   * 発言詳細の文中にある@ID右クリックメニューからユーザープロフィールの確認ができるようにした
   * 自己紹介の部分：サムネイルと右クリックメニュー以外は、@IDやハッシュタグのリンク化など、詳細表示とほぼ同等の機能があります。
   * クリックしてジャンプできる場所はツールチップでジャンプ先URLを表示するようにした
   * 最新の発言を表示するようにした。日時とSourceも表示します。
   * 発言、自己紹介の各表示エリアで右クリックからコピー・すべて選択ができるようにした
   * ユーザー情報ダイアログで認証済みアカウントかどうかを表示するように
 * 画面が白くなる問題に対処
 * 未読カウントがずれる問題に対処
 * Altキー2回押しでフォーカスがSplitContainerに移る不具合修正
 * 自身のバージョンが取れない場合があったので、取得方法変更
 * メニュ→その他機能からもハッシュタグ関連機能にアクセスできるようにした
 * URL短縮時に、文末のスラッシュも含めるように変更
 * 発言入力欄と残文字数ラベルのフォーカス遷移順序入れ替え（MSAA対応）
 * Alt+Shift+R,Ctrl+Qが効かない場合があったバグを修正
 * 画像サムネイルのSplitterDistanceが復元されないことがあるバグ修正
 * 投稿時に投稿完了を待たないように変更。投稿失敗はメッセージで通知し、リトライ・キャンセルを選べるように。
 * 投稿重複、投稿規制をエラー扱いに
 * ふぁぼったーのURL変更
 * メニューの「片思いユーザーリスト取得」＞「すべて再取得」を廃止。直接「片思いユーザーリスト取得」をクリックしてください。
 * 設定画面に1時間あたりのAPI使用数を簡易計算して表示するようにした。Listsタブも反映されます。
 * 詳細表示の発言者名をクリックした際にHomeを開くようにした。ジャンプ先はツールチップで確認できます。
 * ニコニコ動画ID自動リンクの条件を緩和した(ID番号2桁以上へ)
 * 短縮URLの展開で、結果を一部キャッシュしていたが、キャッシュの大文字・小文字区別をしていないバグ修正
 * ハッシュタグ解析で、アルファベットに数字が続くハッシュタグを正しく認識できていなかったのを修正
 * タブメニューを開く際に例外が起こるバグ修正
 * タイムライン解析で例外が起こるバグ修正
 * 初回起動時に認証せずに設定画面を閉じた場合に確認メッセージが2回出て正常に終了されないバグ修正
 * リスト選択画面からrefreshボタン削除
 * 画像プレビュー機能の有効無効設定を追加
 * バージョンアップ確認ダイアログのデフォルトボタン変更
 * 公式検索、ListsタブでFav追加・削除時に未読状態になる場合があったバグ修正
 * DMを右クリックあるいは操作メニューから削除できないことがあるバグ修正
==== Ver 0.8.9.3(2010/05/13)
 * Alt+Shift+R,Ctrl+Qが効かない場合があったバグを修正
 * Replyタブの初期設定での更新間隔を180秒に。バージョンアップの方は手動で調整してください。
 * ユーザー情報ダイアログで自己紹介の部分をhtml化して表示するようにした。サムネイルと右クリックメニュー以外は、@IDやハッシュタグのリンク化など、詳細表示とほぼ同等の機能があります。
 * ユーザー情報ダイアログでクリックしてジャンプできる場所はツールチップでジャンプ先URLを表示するようにした
 * ユーザー情報ダイアログで最新の発言を表示するようにした
 * ユーザー情報ダイアログの発言、自己紹介の各表示エリアで右クリックからコピー・すべて選択ができるようにした
 * ユーザー情報ダイアログでフォロー状況の取得に失敗した際のエラー処理が抜けていたのを修正
 * 画像サムネイルのSplitterDistanceが復元されないことがあるバグ修正
 * 投稿時に投稿完了を待たないように変更。投稿失敗はメッセージで通知し、リトライ・キャンセルを選べるように。
 * ふぁぼったーのURL変更
 * メニューの「片思いユーザーリスト取得」＞「すべて再取得」を廃止。直接「片思いユーザーリスト取得」をクリックしてください。
 * API使用数簡易計算の表示が、設定画面表示直後に更新されないバグを修正
 * API使用数簡易計算の更新タイミングがわかりにくかったので再計算ボタンを追加
 * 詳細表示の発言者名をクリックした際にHomeを開くようにした。ジャンプ先はツールチップで確認できます。
 * ニコニコ動画ID自動リンクの条件を緩和した
==== Ver 0.8.9.2(2010/05/09)
 * 言及先の抽出ができていなかったバグを修正
 * ユーザー情報ダイアログで、アイコンの元画像サイズを考慮していなかったのを修正
 * ハッシュタグ解析で、アルファベットに数字が続くハッシュタグを正しく認識できていなかったのを修正
 * ユーザー情報ダイアログからフォロー/フォロー解除した場合に、フォロー状態表示をすぐ変更するようにした
==== Ver 0.8.9.1(2010/05/09)
 * 投稿重複、投稿規制をエラー扱いに
 * タブメニューを開く際に例外が起こるバグ修正
 * タイムライン解析で例外が起こるバグ修正
 * 初回起動時に認証せずに設定画面を閉じた場合に確認メッセージが2回出て正常に終了されないバグ修正
 * リスト選択画面からrefreshボタン削除
 * 画像プレビュー機能の有効無効設定を追加
 * バージョンアップ確認ダイアログのデフォルトボタン変更
 * 公式検索、ListsタブでFav追加・削除時に未読状態になる場合があったバグ修正
 * DMを右クリックあるいは操作メニューから削除できないことがあるバグ修正
 * カラムヘッダをクリックした際に、ソート方向を表示するようにした
 * ユーザー情報表示ダイアログを追加。プロフィールなどが見れます。フォロー状況の表示、フォロー/フォロー解除もダイアログからできます。APIを2消費します。
 * 設定画面に1時間あたりのAPI使用数を簡易計算して表示するようにした。Listsタブも反映されます。
==== Ver 0.8.9.0(2010/05/03)
 * Webモード廃止
 * OAuth（xAuth）対応（API上限が350へ）。継続してBASIC認証も選択可能です。各APIの接続先は共通なので、API制限は共通となります。
 * Lists対応。タブ作成時にタブ種類でListsを選択
 * home_timeline,mentions,DirectMessage、公式検索、listsを遡れるように（Shift-F5,Shift-r）（DMはTwitterが仕様と違う動きをするため取得出来ません）
 * 画像プレビュー実装（imgur/twitpic/yfrog/tweetphoto /Mobypicture/携帯百景/はてなフォトライフ/photoshare/img.ly/brightkite/twitgoo/pic.im /youtube/ニコニコ動画/flickr/pixiv/TwitVideo）。取得タイムアウト5秒です。
   * pixiv:画像にR-18タグの付いているもの、メンバーページへのリンクは動作しません
   * flickr:photostreamなど複数の画像がある場合は先頭の画像のみを認識
 * リスト部でiキーを押すと入力エリアに移動できるようにした
 * 中国語リソース（zh-CHS）追加。自動更新対象外。別途ダウンロードを。Tweenと同フォルダにzh-CHSフォルダを作成し、ダウンロードしたDLLを置いてください。
 * 更新間隔を15秒から設定できるように（テスト実装）
 * 文中のニコ動ID(sm/nm)にリンク張るように（テスト実装）
 * 一部のメッセージをよりわかりやすく修正
 * 文中URLを開く際に、複数リンクがある場合の一覧画面でリンクテキストを表示するように。＠ユーザーやハッシュタグはそのまま表示、短縮URLは短縮前後両方表示するように変更
 * nico.ms短縮ロジック取り込み
 * 不正なGIFアニメアイコンで各所が赤バッテンになる問題に対応
 * PublicSearchタブの検索コンボボックスからOR検索を行えない場合がある不具合を修正
 * リストの背景色変更を見直し、「その人の発言」でほかの背景色が上書きされないようにした
 * タブ内容クリア、タブ削除の各問い合わせダイアログにタブ名を表示するようにした
 * flickrなどに見られる「@」が含まれるURLを正しく認識していなかったバグを修正
 * タスクトレイアイコンのツールチップに現在の全未読数、@未読数を表示するようにした
 * 一部のURLがTwitterIDを指しているものと誤認識する場合があったのを修正
 * 公式検索タブのコンボボックスのリストから検索ワードを指定して検索した場合に検索ワードが消えるのを修正
 * 実際の操作可能状態とユーザーインターフェースの矛盾を改善。具体的には以下の通り。
   * タブ削除を一度も行っていないときにはタブ削除取り消しメニューを無効に
   * フォーカスのある発言がProtect発言でReTweetにProtect発言を含めない設定の場合、RT関連メニューを無効に
   * 詳細表示のコンテキストメニューで状況に応じ「ID振り分けルール作成」を無効に
   * フォーカスのある発言が自分の発言でない場合、削除メニューを無効に
   * PublicSearchタブ、in_reply_to_status_idが設定されていない発言の場合は「返信元ステータスを開く」を無効に
   * 公式RT発言でない場合は「RTした人のホームを開く」を無効に
　 * 自分の発言は公式RTできないよう無効に
 * アイコン画像取得のタイムアウトを5秒に変更
 * 起動時FAV取得の設定が無視されるバグ修正
 * dlvr.it,bkite.com,youtu.be,ow.ly,p.tl,flic.krのURL展開に対応
 * 公式RTに対して返信ALLをしたときは、RTした人も返信先に追加するよう変更
 * 認証エラーが返ってくると、以後更新しなくなってしまうバグ修正
 * ProxyAPI対応として、APIの接続先URLの一部を置き換えできるように設定追加
 * 1秒以内の同種のAPIリクエストをキャンセルするように
 * 公式RTに対するQT返信時に、in_reply_toがつかないバグ修正
 * 最小化状態で起動するとレイアウトが崩れる問題に対応（Tweenへのショートカットのプロパティで設定すると最小化状態で起動できます）
 * 投稿時に自動URL短縮される際に、最後のURLしか短縮されない場合があるバグ修正
 * URL等のリンク検出ロジックの調整
 * フォロー・アンフォロー等のID指定画面でIDを変更しても、結果画面のIDが変わらないバグ修正
 * 時速表示バグの修正
 * クリップボード操作エラーで例外にならないように
==== Ver 0.8.8.7(2010/05/02)
 * 画像プレビューでのサムネイル生成完了報告タイミング見直し
 * 画像プレビューをTwitVideoに対応
 * ショートカットキーの処理タイミングを変更。Ctrl+iなどが効かなくなる不具合はなくなったはず
 * pixivプレビューのURL判定見直し
 * 更新間隔を15秒から設定できるように（テスト実装）
==== Ver 0.8.8.6(2010/04/30)
 * Flickr/Pixivの画像ページ読み込み、解析処理を非同期に
 * 操作メニュー表示の際の判定漏れを修正
 * 自分から他者あてへのReplyのReply先発言が右クリックメニューから表示できなくなっていたバグを修正
 * mode=mangaなURLの場合でもpixivプレビューが動作するようにした
 * flickrプレビューで一部のphotostreamページの解析に失敗していたバグを修正
 * ニコニコ動画のIDと衝突する@IDの場合に正しくリンクが張られないバグを修正
 * 自分以外の書き込みを選択した場合に操作メニューの削除が無効にならないのを修正(0.8.8.5での修正漏れ)
 * プレビューのサムネイル作成状況をステータスバーで報告するようにした
==== Ver 0.8.8.5(2010/04/27)
 * 文中のsmXXXXXXXXをニコ動にリンク張るように（テスト実装）
 * 中国語リソース（zh-CHS）追加
 * タブ内容クリア、タブ削除の各問い合わせダイアログにタブ名を表示するようにした
 * 自分の発言を公式RTできてしまうのを修正（実際にはAPI発行が失敗するのでタイムライン上には流れない）
 * リストの背景色変更を見直し、「その人の発言」でほかの背景色が上書きされないようにした
 * flickrなどに見られる「@」が含まれるURLを正しく認識していなかったバグを修正
 * タスクトレイアイコンのツールチップに現在の全未読数、@未読数を表示するようにした
 * 一部のURLがTwitterIDを指しているものと誤認識する場合があったのを修正
 * リスト部でiキーを押すと入力エリアに移動できるようにした
 * 公式検索タブのコンボボックスのリストから検索ワードを指定して検索した場合に検索ワードが消えるのを修正
 * 実際の操作可能状態とユーザーインターフェースの矛盾を改善。具体的には以下の通り。
   * タブ削除を一度も行っていないときにはタブ削除取り消しメニューを無効に
   * フォーカスのある発言がProtect発言でReTweetにProtect発言を含めない設定の場合、RT関連メニューを無効に
   * 詳細表示のコンテキストメニューで状況に応じ「ID振り分けルール作成」を無効に
   * フォーカスのある発言が自分の発言でない場合、削除メニューを無効に
   * PublicSearchタブ、in_reply_to_status_idが設定されていない発言の場合は「返信元ステータスを開く」を無効に
   * 公式RT発言でない場合は「RTした人のホームを開く」を無効に
 * Lists対応。タブ作成時にタブ種類でListsを選択
 * 一部のメッセージをよりわかりやすく修正
==== Ver 0.8.8.4(2010/04/13)
 * 文中URLを開く際に、リンクテキストを表示するように。＠ユーザーやハッシュタグはそのまま表示、短縮URLは短縮前後両方表示するように変更
 * 文中にリンクが複数あると表示に時間がかかる問題を修正
 * 不正なGIFアニメアイコンで各所が赤バッテンになる問題に対応
 * 画像プレビュー領域の初期サイズを画面サイズに合わせて調整するよう変更
 * photoshareの画像リンク抽出で例外が発生する問題に対応
 * アイコンやプレビュー画像など、画像取得のタイムアウトを5秒に変更
 * youtu.beでも画像プレビュー表示するように
 * URL展開にdlvr.itを追加
==== Ver 0.8.8.3(2010/03/24)
 * 起動時FAV取得の設定が無視されるバグ修正
 * 複数行入力状態が復元されないバグ修正
 * nico.ms短縮ロジック取り込み
 * 画像プレビュー実装（imgur/twitpic/yfrog/tweetphoto /Mobypicture/携帯百景/はてなフォトライフ/photoshare/img.ly/brightkite/twitgoo/pic.im /youtube/ニコニコ動画）
 * bkite.com,youtu.beのURL展開に対応
 * 公式RTに対して返信ALLをしたときは、RTした人も返信先に追加するよう変更
==== Ver 0.8.8.2(2010/03/12)
 * 認証エラーが返ってくると、以後更新しなくなってしまうバグ修正
 * API情報取得が正常に動作しないバグ修正
 * 検索タブの遡りで、キャッシュが効いてしまう現象への対処
 * BASIC認証も選べるように（各APIの接続先は共通なので、API制限は共通となります）
 * ProxyAPI対応として、APIの接続先URLの一部を置き換えできるように設定追加
 * 1秒以内の同種のAPIリクエストをキャンセルするように
 * home_timeline,mentions,DirectMessageを遡れるように（Shift-F5,Shift-r）（DMはTwitterが仕様と違う動きをするため取得出来ません）
 * 公式RTに対するQT返信時に、in_reply_toがつかないバグ修正
 * 最小化状態で起動するとレイアウトが崩れる問題に対応（Tweenへのショートカットのプロパティで設定すると最小化状態で起動できます）
 * 投稿時に自動URL短縮される際に、最後のURLしか短縮されない場合があるバグ修正
==== Ver 0.8.8.1(2010/03/3)
 * Webモード廃止
 * OAuth（xAuth）対応（API上限が350へ）
 * URL等のリンク検出ロジックの調整
 * フォロー・アンフォロー等のID指定画面でIDを変更しても、結果画面のIDが変わらないバグ修正
 * 時速表示バグの修正
 * クリップボード操作エラーで例外にならないように
 * ow.lyの短縮URL展開に対応
==== Ver 0.8.8.0(2010/02/23)
 * ふぁぼったーのURLを変更（favotter.matope.com→favotter.netに変更）
==== Ver 0.8.7.0(2010/02/23)
 * 非公式RT/QT時に、半角スペース変換時の文字コードが以前と異なっており、一部のクライアントで文字化けしていた問題を修正
 * WebのHTML仕様変更対応
==== Ver 0.8.6.0(2010/02/16)
 * 検索タブでhtmlのエスケープが不十分だった問題を修正
 * ハッシュタグ管理画面で、リストが空の時に「新規」→「キャンセル」で例外が発生するバグ修正
 * メニュー「タブ」内の項目がいくつか動作していないバグ修正
 * タブ作成時に既存タブのソート順が引き継がれないバグ修正
 * 半角スペースを&nbsp;に変換して発言詳細のスペースが正しく表示されるようにしました
 * 相互フォロー状態表示の結果表示を分かりやすくしました（多分）
 * 公式RTされた発言のリスト部分のID欄にも（RT: RTした人のID）を表示するようにした
==== Ver 0.8.5.0(2010/2/12)
 * 検索タブでFav操作すると、データ不整合で例外が発生するバグ修正
 * 1秒ごとにネットワークの死活チェックを行うバグ修正
 * 新着件数が0件で表示されるバグ修正
 * 新着時に選択している未読発言が既読になる問題の対策を取り止め（0.8.4.0）
 * ハッシュタグの数字のみチェックを外した（既知の問題：数字のみだとハッシュタグと見なさないのが正しい）
 * 各種ショートカットがサブ画面でも反応してしまうバグ修正
 * 複数行入力のメニュー項目をハッシュタグボタンメニューに移動
 * ハッシュタグ管理画面の構成変更。
   * リストでEnter/ダブルクリック：使用タグとして設定
   * ハッシュタグ固定はチェックボックスで切り替え
   * 新規、編集ボタンで編集モードへ切り替え
   * 削除ボタンでリストのハッシュタグ削除
   * ハッシュタグの挿入位置（文頭・文末）切り替えラジオボタン追加
   * 非使用ボタンでハッシュタグを付加しないように
 * ハッシュタグ管理画面へのショートカットをCtrl-Tに変更
 * ハッシュタグ管理画面で「固定」オプションを選択していない場合は、発言投稿後にハッシュタグ未選択状態に戻ります
 * メニュー項目「ハッシュタグ切り替え」を廃し「ハッシュタグ自動付加」に変更。0.8.3.0の固定ハッシュタグオン・オフ相当の動作に戻しました。ショートカットはCtrl-Shift-T
 * 発言詳細のハッシュタグをクリックした際、既に同条件で検索タブがあれば、そのタブをアクティブに
 * 検索条件を空にして検索を停止しても、再起動すると前回の検索条件で検索が開始されてしまうバグ修正
 * @と#の入力補助有効無効設定を分離
 * タブ削除にショートカットCtrl-Wを割り当て
 * 発言詳細のハッシュタグ右クリックで「ハッシュタグを固定」ができるように
==== Ver 0.8.4.0(2010/2/3)
 * タブの追加・削除・名前変更と公式検索の自動更新が重なると、エラーになるバグ修正
 * ハッシュタグ、＠ID入力補助で、表示直後は候補リストを表示しないように戻し
 * 公式検索タブの追加、削除済みタブのUndoの際、追加したタブを選択状態にするよう変更
 * 自プロフィール表示時に、まだ発言投稿していないためにプロフィールが取得出来ていない場合は、投稿後にリトライする必要がある旨のメッセージ表示
 * 公式検索タブの検索履歴で、同じクエリが何度も登録されないよう対処
 * ハッシュタグ管理画面のレイアウト変更（リスト部を上に）
 * ハッシュタグ切り替えは登録済みタグを順繰り選択するように変更
 * タブ追加画面などの英語リソース対応漏れ
 * 新着バルーンの表示条件に画面非アクティブも追加（旧動作に戻し）
 * IDルール編集を開く際に例外が発生する場合があったので対処
 * 公式検索タブで条件を空にして確定しても、旧条件で検索が続いてしまうバグ修正（本来は検索が停止する）
 * 起動時に公式検索タブの言語選択表示が復元されていないように見えるバグ修正
 * WebモードとAPIモードそれぞれで取得した発言が混在する場合の、片思い表示の洗い替えが正しく行われないバグ修正
 * タブ切り替えが遅くなっていた問題に対応
 * タイムラインが更新された際、選択中の未読発言が既読になってしまうバグ修正
==== Ver 0.8.3.0(2010/1/31)
 * 振分ルール判定時、公式RTのRTした人のID判定が正規表現での判定になっていたバグ修正
 * 流速に公式検索の結果が含まれていたバグ修正
 * 設定で「最前面表示」をオンにしている場合、ハッシュタグ管理画面がメイン画面の後ろに隠れてしまうバグ修正
 * 公式検索の起動時取得と定期取得のタイミングで、タブの追加・削除・名前変更を行うと例外が発生するバグ修正
 * ハッシュタグ表記ボタンをクリックで、ハッシュタグ切り替えと同じ動作をするように変更
 * TLのファイル保存で、Protect識別列を追加。プロテクトの人の発言には、「Protect」と書き込まれます
 * APIモードでの片思いリスト取得で、すべて相互フォロー表示になる場合があるバグ修正
==== Ver 0.8.2.0(2010/1/30)
 * 短縮URL展開でgoo.glに対応
 * Webモードで、20件目のつぶやきにゴミがついているためのprotect誤判定するなどのバグ修正
 * WebモードのFollower取得で、全件取得に失敗した場合は、以前取得したキャッシュに追加するよう変更
 * 投稿失敗時に返信先情報をクリアしてしまうバグ修正
 * メニューの「ファイル」→「新着通知」の設定が保存されないバグ修正
 * タブ順序が保存されないバグ修正
 * マルチディスプレイ環境では、起動時に画面が表示範囲外になっている場合の補正チェックをしないように変更
 * 発言詳細部の書き換えで例外が発生するケースがあるので対処
 * 投稿リトライするように戻し
 * タブ切り替えで設定保存処理が実行されていたバグ修正
 * APIモードでの@と#のリンク作成基準をWebに合わせた
 * 公式検索対応。タブの作成で公式検索タブが選択出きます。設定に更新間隔を追加
 * 発言内のハッシュタグを選択すると、検索タブが作成され検索結果が取得されます
 * API使用時のMentions取得件数を別設定に
 * 「Google:検索語」と投稿すると、投稿と同時にブラウザでGoogle検索します（試験実装）
 * BlackFav機能を削除
 * URLエンコードされたスラッシュを含むURLが開けないバグを修正
 * アクティブタブ変更処理でのSendKeysによる処理を変更(Win7対応)
 * 発言詳細部ID欄での＆をエスケープ。RT元など文字数が多いときに折り返されてしまう問題に対応（継続文字とTooltip）
 * タブ削除を1度だけUndoできるようにした
 * 発言詳細部のコンテキストメニューにアクセスキー追加
 * 新着通知制限時の条件から、アプリケーションの非アクティブを削除
 * 発言・fav削除時の応答がNot Foundだったら既に削除完了として処理するよう変更
 * RemoveをUnfollowと表記変更
 * ＠id補完画面に、設定でオフに出来る旨表示
 * 英訳漏れ修正
 * nico.msの短縮API対応。展開はしない予定（振り分けルールがあるので要望あれば）（設定のAdditionalタブに追加）
 * 設定のOutputz用タブをAddtionalに名称変更
 * 振り分けルールにsourceとrtを追加
 * 自分で行ったRTをタイムラインに追加。RT取消（削除）も可能に。
 * RTした人のHomeを開くショートカットを追加
 * 発言詳細の半角スペースが省略される問題に対応
 * #の含まれるURLの解析でハッシュと誤認する問題を修正
 * API残数表示を先頭に移動
 * 発言詳細部の発言内ID右クリックでID振分可能に
 * 検索タブで、条件文入力欄へのフォーカス移動ショートカットをCtrl-Shift-fに。編集メニューにも追加。
 * 発言入力欄で#を入力するとハッシュタグ入力補助画面表示。
 * ハッシュタグ管理画面を追加。使用したハッシュタグが溜め込まれます。
 * 発言詳細部の発言内ハッシュタグ右クリックで使用ハッシュタグとして設定できるように。
 * 140字オーバーで末尾カットした際、投稿前にカット後の投稿内容で再度確認を求めるようにした。
 * 発言モードボタンを廃止し、ステータス部のハッシュタグボタンに統合。ハッシュタグボタンには現在設定されているハッシュタグが表示される。
 * ハッシュタグ切り替え(Ctrl-t)で、ハッシュタグ不使用と前回使用ハッシュタグのトグル動作
 * 状態ログのツールチップをやめ、ステータス欄の状態部ダブルクリックでメッセージボックス表示するよう変更
 * Postボタンにフォーカスがある時にSpaceキーを押した場合は、ボタン押下ではなく未読ジャンプするよう変更
 * 更新間隔の不正変更への対処を追加
 * 複数行入力切替のショートカットをCtrl-TからCtrl-Yに変更
==== Ver 0.8.1.0(2009/12/14)
 * 細かい不具合対応
 * 公式RT発言を振り分けする際、RTした人を対象にするよう変更
 * 関連移動、同発言者移動する際、RTした人も考慮するよう変更
 * ポスト時のリトライをしないよう変更
 * ポスト時にエラーが帰ってきた際、入力欄がクリアされてしまうバグ修正
 * 不正なアニメgifを表示すると落ちてしまう問題に対処(XPのみ？)
 * タブの設定ファイル構成を変更。SettingTabs.xmlに集約されました。
 * APIで、公式RTがfav済みで流れてくる場合があるため、Tweenで取得したfav発言に元発言が含まれていればfav済みと判定するように対処
==== Ver 0.8.0.0(2009/11/27)
 * Webモードで公式RT発言をコピー、開くした時にユーザーと発言IDが不整合になっていた問題に対応
 * 公式RTに正式対応
   * RTマークをやめて文字色緑に（デフォルト）
   * Retweet(Original)を公式RTに変更
   * RetweetをRetweet(Unofficial)に名称変更
   * 見た目はWeb同様、Retweet元の人が発言したように見えます
 * 引用（QT:Quote）を追加（Ctrl-Q）。返信先が付加されます。
 * 言語切替（OSデフォルト、日本語、英語）を追加。OSデフォルトで日本語・英語以外のOSを使った場合は英語表記になります。
 * 「発言内URLを開く」のショートカットCtrl-Eを2回押すと例外が発生する場合があるバグ修正
 * 不具合が発生することがあるため、発言詳細のアイコン描画方式を旧式へ戻し。画質が多少落ちます。
 * 「RT @」「QT @」が含まれる場合は、フッタを付加しないように変更
==== Ver 0.7.9.0(2009/11/19)
 * APIモードでのハッシュタグ誤認対応
 * Webモードで公式RT発言が取得できない問題に対応。マーク欄に「RT」、発言詳細の発言者の後ろにRTしたユーザーを表示。基本はRT元発言を表示します。（APIモードは変更なし）
==== Ver 0.7.8.0(2009/11/18)
 * Webモードで、公式ReTweetが有効になっている場合に、RT発言をFav発言と誤認する問題に対応
==== Ver 0.7.7.0(2009/11/15)
 * バージョンアップの確認ダイアログをキャンセルして、再度確認して表示する際に例外が発生するバグ修正
 * バージョンアップの確認ダイアログに更新内容を表示するように変更
 * Web仕様変更対応（Source取得）
 * 投稿リトライで、遅延判定時はリトライしないように変更
 * @user/lists形式の検出正規表現を修正
 * ハッシュタグの検出正規表現を修正
 * 個別ステータスへのリンク先をstatusesからstatusへ変更
==== Ver 0.7.6.0(2009/11/11)
 * タブの作成、タブ名の変更で例外が発生するバグ修正
 * 取得間隔に0を指定しても定期取得してしまうバグ修正
 * Recent/Reply/Direct/Favoritesのタブ名も変更可能に
==== Ver 0.7.5.0(2009/11/11)
 * 設定画面のソート順ロック、最前面表示を「動作」タブから「表示」タブへ移動
 * 設定に@ID入力補助の使用切り替え設定を追加
 * ＠返信補助操作の際に例外が発生するバグ修正
 * RT時にURL/@Lists名が省略（...）されている場合は展開するように修正
 * リスト部と発言詳細部の背景色を変更可能に。合わせてデフォルトへ戻すボタン追加
 * APIモードで、＠id/リスト名の形式でもリンクするよう対応
==== Ver 0.7.4.0(2009/11/2)
 * 右クリックからのID振り分けメニューで、マーク有無の確認がなくなっていたバグ修正
 * 最前面表示にしていた場合、@ID入力補助画面が裏へ回ってしまうバグ修正
==== Ver 0.7.3.0(2009/11/2)
 * 発言詳細部のサイズを50*50（画像領域48*48）へ変更し、描画モードを変更
 * 振り分けルールの追加動作でマークをつけない設定にしても、マークをつける設定に戻ってしまうバグ修正
 * 除外ルール単体指定時すると、全件ヒットしなくなるバグ修正
==== Ver 0.7.2.0(2009/10/31)
 * @ID入力補助で、id確定した際、直前の文字が消えるバグ修正
==== Ver 0.7.1.0(2009/10/31)
 * リストにグリッド線を表示するオプション追加（マウスホイールで操作すると画面にゴミが残ります）
 * C-rでid追加した際、余分なスペースが入らないように修正
 * スクリーンセーバー起動中はバルーン表示を停止
 * @ID入力補助機能追加（Enter,Tabで確定、Escape,Backspaceで全削除でキャンセル、候補選択でC-Deleteでリストから削除）
 * 選択発言を基に振り分けルール作成する際、選択発言を反映したルールになっていないバグ修正
 * 短縮URL解決のタイムアウトを2秒→5秒へ。合わせて100件のキャッシュを追加（定期クリア）
 * 返信先（in_reply_to）付加の条件を変更（複数＠でもin_reply_toが付くケースを増やした）
 * 返信先のある発言に矢印マーク付加
 * HTTP/HTTPSが切り替えられるよう設定に追加
 * 振り分けルールに除外ルールの設定を追加
 * 振り分けルールマッチ時の追加動作で「マークする」を復活
 * RT時にURLを展開しないように変更
 * 投稿が140文字を越える場合に、末尾切り落としても良いか確認＆切り落とし処理追加
 * 投稿欄複数行の場合、フッタ除外投稿をCtrl-Shift-Enterで出来るように変更（投稿キー設定（Ctrl-Enter）関係なし）
 * 同一パスのTweenを二重起動した場合、先に起動している物をアクティブにする。ただし、アイコン化されている場合は、トレイの一番左にあるものがアクティブになる。
 * 画面表示領域外に画面があった場合に、第一画面に戻す機能追加
 * bit.lyのアカウントを設定可能に
==== Ver 0.7.0.0(2009/10/2)
 * 新着時未読クリアを実装
 * リストのページスクロールショートカット追加（PageUp/Down相当）：f/b
 * カラム幅が保存されない問題を修正
 * Webモードでプロテクト設定の人の判別が出来なくなってしまったWeb変更への追従
 * Webモードで発言日時が取れるようになったので対応
 * bit.lyとj.mpを明示的に分離
 * 動作モードのデフォルト値をWebモードからAPIモードへ変更
 * フィルターヒット時の動作選択肢を2つに減らしました。ヒットしたものには必ずヒットマーク「♪」が付きます。
 * follower情報の取得APIのページング方式を新しい方式（カーソル方式）に変更しました。（API変更対応）
==== Ver 0.6.9.0(2009/9/13)
 * 発言詳細の右クリックメニューにfollow/remove/friendshipコマンド追加。その他機能の同コマンドで選択中発言のidを設定するように変更。
 * タブ見出し右クリックでタブ名変更時に、右クリックしたタブではなく選択中のタブを対象にしていたバグ修正
 * 設定保存を随時行うように変更。（一部設定は発言取得時に行われる。）終了時の設定保存を取りやめ。
==== Ver 0.6.8.0(2009/9/8)
 * ブラウザ指定でコマンドライン引数指定が処理できないバグ修正
 * 短縮の際、bit.lyを強制的にj.mpに書き換え。展開にも対応
 * Webモードでfollowers取得APIを発行する際のページングをフォロワー数に依存しないよう変更
 * 設定ファイルが壊れる問題を切り分けるため、ログファイル出力項目を追加
 * 終了時処理を見直し
 * APIモードで、home_timelineに対応
 * followersのキャッシュ読み書き高速化。ファイル名がSettingFollower.xmlになります
 * 原文へのリンク継続文字は抽出が難しいため付加されません
==== Ver 0.6.7.0(2009/9/2)
 * リスト部で『<』と『>』が化けていたバグ修正
==== Ver 0.6.6.0(2009/9/2)
 * Webモードで、文中の@idの認識ができない問題を修正
 * WebモードでDMの件数が正しく取れず、受信後すぐに取得していなかった問題を修正（Webモードのみの機能）
***Ver 0.6.5.0(2009/9/2)
-htmlの変更に追従（Webモード）
-設定に発言詳細欄の等幅適用オプションを追加（AA用）。等幅だとフォント指定が反映されない場合があります。デフォルトオフ。
-フォント指定ダイアログ表示時の例外対応
-発言取得時の例外対応
-設定画面閉じたときの例外対応（暫定）
-列幅変更関連の例外対応
-タブメニュー表示時の例外対応
-発言中URIをブラウザで開く際の例外対応
-Webモード時に140文字オーバーした際、発言詳細の継続文字を除去する処理を廃止
***Ver 0.6.4.0(2009/8/31)
-設定画面表示が失敗する問題を修正
-ブラウザパス指定で、ブラウザへの引数を指定できるように。ブラウザパスはダブルクォーテーションで括ること。その後に引数を指定。
-発言詳細部のhtmlをpタグからpreタグへ再変更。AA崩れるため。フォント種別が反映されない不具合が発生する可能性あり。
-認証エラー時でも設定画面を自動で開かず、アカウント確認する旨のステータス表記のみに変更。設定確認するか、10回通信要求があるまでは通信しないように変更。
-ステータス削除APIのパスが間違っていたバグ修正。8/31時点で本家不具合のためTween上から削除できません。
-終了時設定保存タイミング微調整
-起動しておくと取得できなくなる問題に対応
-元発言をRetweetするコマンドを追加（Alt-R）。これまでのRT動作はAlt-Shift-Rに変更
***Ver 0.6.3.0(2009/8/1)
-フッターの@idを評価して複数リプライ扱いにしていた問題を修正
-ウィンドウタイトル書き換え時に例外が発生する問題に対応
-設定書き込み後に検証＆リトライ処理追加
***Ver 0.6.2.0(2009/7/24)
-24/48サイズアイコン表示で、発言が折り返し表示されない不具合修正
***Ver 0.6.1.0(2009/7/24)
-Webモードで、パスワードに特定の文字が含まれている場合にログインできないバグ修正
-短縮URLを展開する際、EUC-JPの全角文字を含んでいると正しく展開できない問題に対応
-follow/removeコマンドを追加
-発言詳細の表示を以前の形式に戻し。フォント指定が反映されない不具合などに対応。
-48サイズ2カラムアイコンで、ユーザ名などを強調表示
-振り分けルール編集時に移動元タブに未読アイコンが残るバグ修正
-DMの個別ステータスページを開けないように修正（本家に存在しない？）
-フォロー状態を取得・表示するコマンドを追加
-ログインエラーで設定画面表示する際、モーダル設定できない場合の例外対応
-旧設定ファイルからの変換処理削除
-未読replyを示すタスクトレイアイコン差し替え＆Reply.ico/ReplyBlink.icoで置き換えできるように変更
-起動時Fav取得をオプション化
-自発言を既読にする設定追加
-フォロー数、フォロワー数、発言数、location、bioを表示するメニュー追加（投稿時に更新されます）
-正しくソートされないバグ修正
-フィルター編集後の関連発言移動で例外が発生するバグ修正
-ログインエラー時に一部メッセージが表示できないバグ修正
***Ver 0.6.0.0(2009/7/10)
-短縮URLの解決をした際、URLが正しく開けなくなる問題に対応
-タブ並び順が保存されないバグ修正
-タブアイコン表示しない設定でタブの追加・削除時に例外が発生する場合があるバグ修正
-タブメニューを頻繁に表示した際例外が発生するバグの再修正
-Replyタブに未読がある時のタスクトレイアイコンの変化を選択できるようにオプション追加
-Reply先を開くショートカットで、Tweenで保持している発言の場合はメッセージボックスで表示するように変更
-アイコン取得先a0.twimg.comがhttpsに対応していないため、httpで取得へ変更
-全角スペースの半角変換を設定ファイルに保存するよう変更
-follower取得中も取得した発言をリストに反映するように変更
***Ver 0.5.9.0(2009/7/8)
-Replyタブに未読がある場合に、タスクトレイアイコンを明滅
-旧バージョンの設定ファイル（TweenConf.xml）からの設定変換に失敗して起動できない問題に対応
***Ver 0.5.8.0(2009/7/8)
-タブ設定が保存されないバグ修正
***Ver 0.5.7.0(2009/7/8)
-Iconsフォルダがある場合に起動できないバグ修正
***Ver 0.5.6.0(2009/7/8)
-新規導入後の初回起動時に設定が保存されないバグ修正
-タブ見出しを立て続けに右クリックすると例外が発生するバグ修正
-起動時にFav取得。Favタブを開いている状態で更新すると手動更新。
-数字のみのハッシュタグを認識しないように修正
-C-eでハッシュタグのリンクが開けない問題を修正
-発言詳細で連続する半角スペースが1つになってしまう問題に対応
-過剰なログイン処理を試みないよう修正
-タブ見出しにアイコンを表示しないオプション追加（アイコン非表示時は文字色赤）***Ver 0.5.5.0(2009/7/3)
-起動と同時に設定ファイルを保存して、設定が飛ぶ問題に対応
***Ver 0.5.4.0(2009/7/3)
-タブ名に禁止文字が使われている以前のバージョンからアップデートする際に変換する処理を追加
-パスワード暗号化で例外が発生するバグ対応
-ReTweetの際に改行が<BR>で混入するバグの再修正
***Ver 0.5.3.0(2009/7/3)
-タブ名禁止文字に ” " を追加
-古いタブ設定ファイルが残るバグ修正
-タブ設定が保存されないバグ修正
-APIモード時に短縮URLが解決されないバグ修正
-ReTweetでHTMLデコードするように変更
-ReTweet時の発言域カーソル位置を先頭にするよう変更
-ReTweet時にHTMLタグが混入するバグ修正
-qurl.comのURL展開対応
-APIモード時のハッシュタグへのリンク作成機能追加
***Ver 0.5.2.0(2009/7/2)
-バージョンアップ時にタブ名に禁止文字（ \ : / ? * < > | ）が含まれていた場合は置き換えを行う
-タブ追加・名前変更時に、禁止文字（ \ : / ? * < > | ）が含まれていた場合、再入力を促す
***Ver 0.5.1.0(2009/7/2)
-Webモードのサインインができなくなっていた仕様変更対応
-一部URLの取り扱いの変更
-ReTweetの際に<br>タグが紛れ込んでしまうバグを再修正
-一つの書き込みに圧縮されたURLが複数含まれている場合に最初のURLだけしか展開できないバグを修正
-圧縮されたURLにクエリ(?以降)またはフラグメント(#以降)が付加されていた場合に、展開結果においてそれらが切り捨てられるバグ修正
-書き込む文字列の全角スペースを半角スペースに置き換える処理で半角スペース2個に置き換えるように変更
-タブ名変更時にタブ選択ダイアログのリストに古いタブ名が残るバグ修正
-短縮URL解決処理を高速化
-設定ファイル形式変更
-起動時バージョンアップ時の終了方式変更
-Webモード時は、ステータス欄のAPI残数を表示しないよう変更
-詳細表示のユーザー名が欠ける事があったのを修正
-エンコード済みSHIFT-JIS文字列がURLに含まれる場合に正しく処理できないことがあったのを修正
-短縮URLの展開を1段階のみに変更
-返信先の強調表示を追加（デフォルトピンク）
***Ver 0.5.0.0(2009/6/15)
-発言詳細の選択文字列クリップボードコピーの不具合修正
-発言右クリックからのID振り分けルール作成で、発言が選択されていない場合は即処理中断するように変更
-タブ名変更で、振り分けルール作成時のタブ名リストに変更前タブ名が残るバグを修正
-ステータス欄のリンク先URL表示で&がアンダーバーに誤認されるバグ修正
-発言内の不正なURLを開こうとすると、発言詳細にエラーページが出てしまう問題に対処。不正なURLは開かれず無視されます。仕様です。***Ver 0.4.9.0(2009/6/8)
-URL自動短縮が動作していなかったバグを修正
-振り分けルール追加の際にすでに同じルールが存在していた場合にダイアログを出すようにした
***Ver 0.4.8.0(2009/6/7)
-bctiny.com,pic.gd,airme.usのURL展開に対応
-詳細表示領域にフォーカスがある場合にRキーによる更新が効かなかったバグを修正
-改行を含む書き込みをReTweetする際に<br>タグが入り込んでしまうバグを修正
-DM詳細表示の際に送信DMか受信DMかを明示するようにした（DirectMessage From/Toが名前の前に表示されます)
-片思い色分け表示が無効な場合に送受信DMの色分けまで無効になっていたバグ修正
-発言詳細での「選択文字列で検索」内の検索エンジン並び順を変更
-発言詳細での「選択文字列で検索」でGoogle検索した際にGoogle日本版で検索するよう変更（hl=ja）
-POSTmode切り替えに「全角スペースを半角スペースに置き換える」を追加。初期状態でこの機能は有効です。
-in_reply_to_status_id付与の際にリンク化されない@IDまでカウントしていたバグ修正
-発言詳細の選択文字列クリップボードコピーの方式変更
***Ver 0.4.7.0(2009/5/15)
-Outputzに送信する設定で復活の呪文に問題があるときに投稿が必ずPOST規制判定されていたバグを修正
-短縮URLの展開結果がマルチバイト文字を含む場合に正常に展開できないことがあるバグを修正
-all @ replies廃止の仕様変更に伴い複数Replyの先頭にドットを付加するように修正
-URL圧縮の際にIDNを考慮していなかったのを修正（マルチバイト文字を使用したURLはu.nuでは圧縮できません。u.nu側の不具合で仕様です）
-u.nuでURL短縮変換を行った際に改行が入り込んでしまっていたのを修正
-ヘルプ→API情報 で取得系APIの使用状況を表示できるようにした
***Ver 0.4.6.0(2009/5/8)
-ListView右クリックあるいは操作メニューを開くとクラッシュすることがあるバグを修正
-ustre.amのURL展開対応
-bit.lyでのURL圧縮に対応
-URL変換サービス自動選択の優先使用の初期設定をbit.lyに変更（バージョンアップの方は変更されません）
-URL短縮に失敗した場合のエラーメッセージが表示されていなかったバグ修正
-Twitter Webのサインイン応答変更対応
***Ver 0.4.5.0(2009/5/7)
-ff.imのURL展開が正常に行われていなかったバグ修正
-Fav発言タブの名前を変更（Favourites→Favorites）お手数ですが旧名称のタブは削除をお願いします。
-設定の「STOTコピーとReTweet　Protect発言を含めない」が有効になっているときにReTweetメニューを無効にするようにした
-DMをReTweetできてしまっていたのを修正
-タブメニューに「タブ名の変更」を追加
-u.nuのURL圧縮に対応
-URL短縮サービス自動選択で優先使用する短縮サービスを指定できるようにした
-URL短縮サービス自動選択で短縮失敗した場合、2回目は最初に使用したもの以外からランダム選択するようにした
-Sourceが取得できなくなっていた問題に対処（Web変更対応）
-in_reply_to_status_idが取得できなくなっていた問題に対処（Web変更対応）
***Ver 0.4.4.0(2009/5/1)
-APIモードで起動した場合は警告を出し、Web取得モードへ切り替えることができるように
-APIモードで起動した場合に警告しない設定を追加
-digg.com,u.nuのURL展開に対応
-tweetburner(twurl.nl)のURL圧縮に対応
-Web取得でhomeの発言がreply扱いになる問題に対応（Web変更対応）
-一部英語リソースが使われずに表示される問題を修正（API警告は後々対応）
***Ver 0.4.3.0(2009/4/26)
-Reply(Mentions)取得間隔の設定を分離
-投稿時取得の設定を追加
-Reply同時取得の設定が効いていなかった問題を修正（常に同時取得していました）
-詳細表示領域でのJavaScript/ActiveXの動作を念のために禁止
-取得した記事に詳細表示で使用しないタグが混入していた場合は除去するように変更
-設定画面でユーザー名の部分にメールアドレスや@IDを入力してしまった場合のチェックが実際には素通りだったのを修正
-設定保存に失敗した場合はリトライするように
-初回起動時に空の設定ファイルを作成しないように
-twitthis.com,blip.fm,tumblr.com,www.qurl.comのURL展開に対応
-タブ名変更で重複名を指定すると例外になるバグ修正
-例外処理を一部変更し、終了できないことがある問題に対応
-ウインドウがアクティブでないときに入力欄の色を元に戻すように
-起動時にFav厳密チェックの設定が反映されない問題を修正
-ReTweetの書式を変更。振り分けルールを作成されている方は見直しをお願いします。
-詳細表示部分で文字列を選択していないときは関連のメニューを無効にするようにした
-終了処理中にマウスカーソルをBusyに変更するようにした
-新形式の設定ファイル移行後に言語切り替えが動作していなかったのを修正
***Ver 0.4.2.0(2009/4/9)
-取得間隔最大値を600秒から6000秒へ変更
-画面最小化orアイコン化時のみ新着通知を表示するオプション追加
-Web取得モードでFollowers取得とFav厳密チェックが動作しなくなっていたのを修正（API変更対応）
-API取得モードでPOSTメソッドを指定できないように（API変更対応）
-API残数を常に表示するように(起動直後に表示されないのは仕様です)
-バージョンアップ処理を0.3.8.0以前相当へ戻し(次回バージョンアップから反映）
-Web取得モードで一部クライアントから投稿された書き込みを正しくReTweetできなかったのを修正
-未読ジャンプ不具合対策を若干強化
-Fav削除でエラーを起こすことがあったのを修正
-終了時のタイマー停止処理を強化
***Ver 0.4.1.0(2009/4/7)
-API使用時のreply判定漏れするバグ修正
-API使用時のHTMLデコードしないバグ修正
-設定が保存できない問題に対応
-バージョンアップ確認ダイアログのVista対応（管理者権限昇格を明示するアイコンをボタンに付加）
-設定画面で、API使用有無切り替えによる他項目の表示状態変更が正しく行われない問題を修正
-API制限時のステータスメッセージ変更（BadRequest(400)の場合に表示）
-follower取得失敗時のステータスメッセージ変更
-最短取得間隔を30秒に変更（Web取得での自動調整では最短15秒のままです）
-設定画面で取得間隔を伸ばしても反映されないバグ修正
-APIでGETメソッド使用時、ステータス欄にAPI残り回数を表示
-TwitterSearchへのクエリ修正
-API使用切り替え時に、follower情報を自動取得するよう変更（問題あればご指摘ください）
-API使用時に不正なXMLが帰ってきた場合に例外メッセージが表示される問題を修正
-発言投稿失敗時はリトライするよう変更
-ReTweetの際にTwitterが表示を省略したURLでもそのまま使用していたのを修正
-発言削除で例外発生する問題を修正
-タスクバーが下以外にある場合、起動時表示位置がずれる問題を修正
***Ver 0.4.0.0(2009/4/4)
-発言削除時のフォーカス位置調整
-スクレイピング時に、新WebUiの場合に、1ページ目を取得しない問題を修正
-API使用時に@idへのリンク付与がずれている問題を修正
-API使用時に不正なXMLを取得した場合の暫定対処
-タブ切替のショートカット追加。a/sもしくはC-n/C-pで前後のタブに切り替えます。C-nでのタブ振り分けルール作成のショートカットを置き換えました。
-英語版設定画面の項目名が日本語版と不一致だったものを修正。英語対応していなかった項目の英語対応
-API取得に対応。設定画面から切替てください。（注意：デフォルトでAPI使用しません）
-複数返信でも先頭にドットを付加しないように変更
-自動バージョンアップ時に特権昇格を要求するよう変更。メニューにシールドアイコン付加
-タブの並び順が保存されないバグ修正
***Ver0.3.9.0(2009/4/1)
-WebのURL変更への対応
-デフォルトタブ「Favourites」追加。Fav発言が追加されます。
-振り分けルールのID欄でも正規表現が使えるように変更
***Ver0.3.8.0(2009/3/24)
-Form位置決定の際にタスクバーの考慮をしていなかったのを修正
-通常の終了時に設定が保存されていなかった不具合を修正
-アイコン保存でエラーが起きるのを修正
-タイトルバーに最終書き込みを表示するモードで複数行ポストをした場合にXPのビジュアルスタイル有効だと描画が乱れることがあったのを修正
-設定保存タイミングの見直し
-振り分けルール編集画面で、編集ボタンを押して、同内容でOKボタン押した際にルールが消えてしまう不具合修正
-設定ファイル書き込みで例外発生する問題に対応（暫定）
***Ver0.3.7.0(2009/3/19)
-アクティブでないタブの未読管理を切り替えた際に未読アイコンが追従しなかったのを修正
-カラムヘッダの「日時」を「取得日時」に変更（ロジックは0.2.9.0から。今回は表示のみ）
-短縮URLの移動先URLにUTF-8の文字列が含まれる場合にURL解決に失敗していたのを修正
-設定ファイル読み書きでフリーズする場合がある問題に対応
-設定に入力欄のアクティブ時背景色と、フォント＆文字色を追加
-発言詳細欄で、右クリックでの選択文字列コピーができない環境への対応
-振り分けルール編集時に例外が発生するバグ修正
-Replyタブでも振り分けルールが編集できるように変更。（Reply判定された発言は残ります）
-振り分けルール作成で、重複ルールが登録されないよう変更
***Ver0.3.6.0(2009/3/13)
-Ctrl+EでURLを開く場合にPunycode変換が効いていなかったのを修正
-OSシャットダウン時は設定保存をしないよう変更（暫定）
-設定読み込み・書き込みを排他制御するよう修正
-バージョンアップ時の処理を高速化
***Ver0.3.5.0(2009/3/11)
-Punycode変換の際に例外が発生することがあったのを修正
***Ver0.3.4.0(2009/3/10)
-一部のURLを含んだ書き込みの解析時にエラーを起こしていたのを修正
***Ver0.3.3.0(2009/3/10)
-自動アップデートが動作しなくなった問題を修正
***Ver0.3.2.0(2009/3/10)
-振り分けルール編集でエラーになる問題を修正
-起動直後にタブ切り替えでエラーになる問題を修正
***Ver0.3.1.0(2009/3/9)
-設定ファイルの形式を変更。WindowsUpdateで発生する不具合回避
-起動時に取得したDMが、正しく送受信で色分けされない問題を修正
-ReTweetを返信として投稿しないよう変更
-IDN対応（http/https/ftp）
***Ver0.3.0.0(2009/2/26)
-tabキーで▼ボタンにフォーカスが移らないよう修正
-振り分けルール編集画面で、単一条件の追加・編集が正しく行えない問題を修正
-「その他機能」にショートカットCを割り当て
-展開するURL短縮サービスに「ff.im」を追加
***Ver0.2.9.0(2009/2/26)
-メニュー関連一部見直し(Space,Ctrl+A,Ctrl+C,Shift+Ctrl+Sの各ショートカットキーを表示するように)
-返信の際に自分の@IDが混ざる場合があったバグを修正
-Unicodeを含んだURLをCTRL+Eで開こうとしていた場合に無限ループになる場合があったのを修正
-起動時読み込み中に終了させるとエラーが発生していたのを修正
-投稿規制検出で起動中のID変更を考慮していなかったのを修正
-操作メニュー見直し（一部機能を階層化、その他機能へ移動）
-メニューの「コマンド」を「その他機能」に変更
-設定画面の「通信」タブから通信時のタイムアウト待ち時間を設定可能にした
-操作メニューにReTweetを実装。ショートカットキーはAlt+R
-ReTweetとSTOT形式コピーの際にProtect発言を除外できるようにした。設定の「動作」タブの「STOTコピーとReTweet Protect発言を含めない」にチェックしてください。
-起動時処理中に終了した際の待ち時間の短縮を行った
-設定画面の日付フォーマットのサンプルが書き換えられないことがあるバグを修正
-URL圧縮によって逆に圧縮前よりも長くなってしまう場合は圧縮しないように修正
-振り分けルール保存の際に先頭に必ず半角のスペースが付加される問題を修正
-振り分けルールの正規表現パターンに空白文字を含めることができない問題を修正
-POSTボタンの横にPost動作切り替えメニュー表示ボタンを新設。クリックするとメニューが出ますのでチェックで切り替えてください。
-POST動作切り替えメニューで、URLの全角文字切り離し措置を切り替え可能にした。初期設定は無効です。
-POST動作切り替えメニューで、APIコマンド回避措置を切り替え可能にした。初期設定は有効です。意図的にコマンドを発行したい場合は無効にしてください。
-POSTボタン動作切り替えメニューに、URL自動短縮を新設。設定＞動作タブのURL自動短縮設定と連動します。
-Twitter Web変更への暫定対応
***Ver0.2.8.0(2009/2/13)
-投稿日時の書式指定を可能に（リスト部）
-描画がちらつくことがある問題を再修正（0270でエンバグ。ご迷惑おかけします）
-振り分けルール編集後にエラーが発生する問題を修正
-未読ジャンプが正常に動作しなくなることがある問題を修正
-設定画面からユーザーIDまたはパスワードを変更した際に不具合が発生していたのを修正
-更新ステータスを10件までツールチップで表示するように
-更新中はタスクトレイアイコンが動いたままになるよう修正
-Twitter側でのリンク化時に全角文字を巻き込む問題に対処するためのuriと全角文字切り離しの処理を無効化（様子見）
-発言削除でエラーが発生する問題を修正
-新着時に非選択タブの選択発言がずれる仕様を変更
-Webライクな2列表示を復活
-起動時に取得した発言が新着通知される場合がある問題を修正
-起動時に取得した発言に対しても、片思い表示を後から反映するよう変更
***Ver0.2.7.0(2009/2/8)
-新規発言追加時の再描画を減らした
-Followersリスト取得の際のエラー処理を修正
-別IDでログインしようとした場合にFollowersリストキャッシュを無効にしていなかったのを修正
-マウスカーソルがBusy状態のまま戻らなくなることがあったバグを修正
-rキーを押すと更新を行うようにした
-未読カウンタがマイナスになることがあるバグ修正
-ステータスIDでのソート以外の場合でもステータスIDの順序を維持するようにした
-日付表示を旧形式へ戻し
-カラム幅が保存されないことがあるバグを修正
***Ver0.2.6.0(2009/2/5)
-設定->表示に「未読スタイル適用」を追加。デフォルトON。Offでも未読マークは変更されます。
-リストで多くの発言を選択しているとき、新着があると固まる問題に対処。30件以上選択している場合は、新着時に選択発言がずれますのでご注意ください。
-未読スタイルに文字色設定を復活
-新着時のリスト再描画＆通知が立て続けに起こる現象に対応
-未読→既読へのスタイル変更のディレイを削除。スタイル変更方式も合わせて変更
-関連発言背景色変更のディレイを削除
-発言詳細欄の更新ディレイを0.4秒から0.2秒へ変更
-特定の発言内容により例外が発生する問題に対処
-複数行入力のショートカットをC-kからC-tへ変更
-特定列の幅が保存されなかったバグ修正
-列幅を狭めたときに、列幅をはみ出して文字が描画される問題に対処
***Ver0.2.5.0(2009/2/3)
-設定->通信のプロキシ設定が使われないバグ修正
-DMの取得で、送信分・受信分のページを歯抜けで取得するバグ修正
-通信タイムアウトのデフォルト値を15秒->20秒へ
-日時昇順で「新着時リスト固定」していてもスクロールしてしまうバグ修正
-新着取得後の選択状態再設定で例外が頻発するバグ修正
-他タブ同発言移動（Alt + ←/→）で発言未選択で行うと例外発生するバグ修正
***Ver0.2.4.0(2009/2/3)
-起動時読み込みモードとReplyタブで更新したとき以外のタイミングでReplyタブを取得していなかったバグ修正
-ちらつきが激しくなるようなので描画処理を元に戻した
-未読管理しないタブでもフォントが未読になるバグ修正
-CTRL+B/CTRL+SHIFT+Bでフォントを即時切り替えるようにした
-描画周り微調整
-タブの全発言を保存しようとするとエラーを起こすバグ修正
-描画を若干高速化
-未読書き込みのフォント変更復活（仮）
-フォーカス枠の描画を修正
-カラム幅が保存されていなかったバグ修正
-リプライ判定を調整（IDの後ろに文字列がついていてリンクに巻き込まれてしまっていた場合に対応）
-Replyページから取得した発言はReplyであると見なすようにした
-終了時に低確率でハングアップすることがあったのを修正
-終了時に時間がかかることがあったのを減らした
-発言取得時のスクロールを調整
-再フィルタの実行時に移動フィルタが正しく動作しないバグを修正
-データ保持方式変更
-Sourceの取得に対応
-一部のアイコンで色抜けを起こしていたのを修正
-アニメーションGIFを使用したアイコンに対応
-Configファイルから正規表現を使用したフィルタを読み込んだ場合のエラーチェック強化
-リスト固定モードでもスクロールしてしまうことがあるのを減らした
-未読表示方法の変更 従来のフォントと色変更による表示を廃止し、未読書き込みの場合は"★"を表示するようになりました。
-入力欄に文字列を入力していない状態でPOSTボタンを押すとタイムラインを取得するようにした。(F5と同じ)
-Followersリスト取得/アイコン取得をマルチスレッド化
-アイコンの読み込みに失敗することがあるようなので対策
-一部環境において正しいConfigファイルを読み込めない現象の対策
-Followersリスト取得結果をキャッシュするようにした
-片思いリスト取得メニューにサブメニューを追加し、キャッシュ無効の状態での全件取得と現在からの差分取得ができるようにした
***Ver0.2.3.0(2009/1/22)
-取得エラーなどで再サインオンができない問題を修正（クッキー削除）
***Ver0.2.2.0(2009/1/22)
-Twitterサインオン仕様変更対応
***Ver0.2.1.0(2009/1/14)
-Fav結果検証の際に壊れたxmlが返ってくると例外が発生していたのを修正
-動作検証用コードが残ってしまっていたのを削除
-タブの追加、削除、名前変更、振り分けダイアログを閉じた際に設定を書き出すようにした
-入力欄にフォーカスがある場合でもCTRL+PageUp/PageDownでタブ切り替えできるようにした
-16x16以外のアイコンサイズの場合にリスト背景色のWindowsの設定を無視していたのを修正
-詳細表示領域にフォーカスがある場合にF5キーが効いていなかったのを修正
-DM受信カウント変化でのDM取得が正常に動作していなかったのを修正
-CTRL+Eでマルチバイト文字を含むURLを開けないことがある不具合を修正
***Ver0.2.0.0(2008/12/27)
-Outputz不正な復活の呪文への対応＆設定画面英語リソース対応
-設定を保存して再起動した場合にOutputzへの記録が有効にならない不具合を修正
***Ver0.1.9.0(2008/12/24)
-twurl.nlで圧縮されたURLの展開ができなかったのを修正
-特定のアイコンによりエラーが起きるのを修正
-wedata通信時のタイムアウトを5秒に(暫定)
-Outputz対応コードの修正
-Twitterのhtml構造変更対応
-BlackFavショートカット削除
-バージョンアップのチェック＆更新版ダウンロード先をSourceForge.jpに変更（次版より）
***Ver0.1.8.0(2008/12/15)
-Wedata使うように戻し
-入力欄のURLを投稿時に自動短縮するオプション追加
-固定タブ(Recent,Reply,Direct)の順序変更もできるように
-発言抜け対策
-メモリリーク修正
-発言の後ろにつく...のリンク削除
-発言をブラックふぁぼったーに追加する機能をマージ (@shuyoko 氏によるもの。ありがとうございます)
-起動時読み込みページ数設定のうち、ReplyとDMが保存されていなかったのを修正
-オフライン検知で例外発生する場合の対応
-ID振り分けルールのタブ選択ダイアログで、Recent,Reply,Directが表示されてしまうバグ修正
-短縮URL展開が失敗する場合があったので修正
***Ver0.1.7.0(2008/12/04)
-コマンド回避ロジックを調整
-ブラウザなどから選択文字列やリンクをドラッグ＆ドロップした場合に、入力欄へ入力するようにした。
-バルーンを表示する際にユーザー名を表示するオプションの設定を見るようにした。
-最小化で起動した場合に起動できない問題とそれに関連する不具合修正
-TwitterのHTML変更対応
***Ver0.1.6.0(2008/11/28)
-詳細発言表示部分からの右クリック検索をローカライズ対応可能にした。その他メニュー項目の見直しを行った。
-初期化完了してからフォームを表示するようにした（つもり）
-詳細発言表示部分からの右クリックメニューでURLをコピーできるようにした
-詳細発言表示部分からの検索の際に文字列を正規化していなかったのを修正
-文字列を選択していなかったときに検索をしようとした場合の動作を修正
-詳細発言表示部分からの右クリックメニューで、選択文字列を現在のタブで検索できるようにした。
-Twitterコマンド誤認問題が本家で修正されたのにあわせ、回避ロジック修正
-HTML解析に失敗したとき、切り出したHTMLをファイル出力（コマンドライン引数'/d'の時のみ）
-DMが取れないケースに対応
***Ver0.1.5.0(2008/11/25)
- アイコンサイズ48*48の1列表示が正常に表示されないバグ修正
***Ver0.1.4.0(2008/11/25)
- DMが取れないケースに対応
- DMで、プロテクト状態取得、スクリーンネーム取得に対応
- UI を国際化 (他言語にも容易に対応させることが出来ます)
- UI を英語にローカライズ (仮)
- budurl.comで圧縮されたURLの展開表示に対応
- DMが取得できなかった場合にFollowersリスト取得が実行されなかったのを修正
- 詳細発言表示部分で右クリックした場合に、選択文字列で検索できるようにした。対応はWikipedia、google、Twitter検索、Twitter Search。
- 短縮URLの転送先URLに、正規化されていない文字列が含まれていた場合に文字化けを起こしていたのを修正
- F5連打→終了で例外が発生するバグ修正
- 発言入力欄関連で例外が発生するバグ修正
***Ver0.1.3.0(2008/11/20)
- 詳細欄のID/日時部で、余白があるにもかかわらず、ID表示が折り返されてしまう問題を改善
- メニューの描画方式を OS のバージョンに関わらず常に同じにした
- Alt キーを押した際にフォーカスが混乱する問題を修正
- F1 キーで Tween まとめサイトを表示するようにした
- アイコンが読み込めなかった場合にアイコンを保存しようとするとエラーが発生するのを修正
- 発言/DM削除が一見できているようで、サーバからは削除されていなかったバグ修正
***Ver0.1.2.0(2008/11/17)
- URL圧縮処理で通信エラーが起こった場合を考慮していなかったのを修正
- 発言詳細が隠せなくなっていた問題を修正
- 起動時のアップデート処理でエラーが発生する問題を再修正
- コマンドメニューのURL短縮変換サブメニューに「短縮サービス自動選択」を追加。Tinyurlから応答がないときはis.gdを試します。
- CTRL+LをURL短縮変換の「短縮サービス自動選択」に割り当て。
- 入力欄で範囲選択をしている場合は、その選択範囲をURLとみなして変換するようにした。（日本語がURLに含まれる場合はこちらをどうぞ。httpで始まっているかどうか、以外のURL妥当性検証は意図的に行っていません）
- コマンドメニューのURL短縮変換サブメニューに「元に戻す」を追加。POST動作をするまでの間の変換を元に戻せます。
- 短縮URL展開の複数サービス対応（is.gd,twurl,rubyurlなど）
- 発言・DMが削除できない問題に対処
- タブ並び順が保存されないバグ修正
- 更新中アイコン周りで例外が発生する問題に対応
- バージョン表記変更（最下位桁をTrunkバージョンとして使用）
***Ver0.1.0.1(2008/11/11)
- 「操作」メニューに「返信先ステータスを開く」を追加。ショートカットキーはCTRL+Iです。
- 最前面表示オプションの不具合対応（サブ画面が隠れる、勝手に最前面が解除される）
- ハロウィーンのEmoticonを使用すると、リストビューにimg srcタグがそのまま表示されてしまう現象を修正(に置き換えます)
- コンパイラオプションの調整（多少高速化？）
- ステータスバーの文字列の生成をスマートにした
- 自分以外のステータスが選択されていてもステータスの削除をするか聞かれる問題を修正
- タイムライン詳細部分のアイコンを右クリックして原寸大画像へアクセス・アイコンを保存できるようにした (原寸大画像の保存は保留)
- 例外発生時の挙動とログのファイル名及び内容を変更した
- (テスト)BackgroundWorker終了待ちの際のSleep時間調整
- ステータス投稿欄の高さを可変にし、複数行入力可能にした (初期状態もしくは高さ最小の状態では単一行入力 (旧来と同じ) です)
- メニューバーとステータスバーの配置の改善
- 複数行編集時に垂直スクロールバーを表示することにより現在の状態を把握しやすくした
- 投稿ヒストリを参照するキーバインドを Up/Down から Ctrl+Up/Ctrl+Down に変更
- 発言欄で改行する処理追加（Shift-EnterやCtrl-Enterなど（投稿キーの設定による））
- 「ファイル」-「発言欄複数行入力」で発言欄の複数行入力を切り替え可能に
- 発言削除失敗時のメッセージを簡素化
- 特定のタイミングで終了させた際にエラーが発生していたのを修正
- 終了処理を若干高速化
- 「コマンド」メニューに「入力欄のURLを短縮変換」を追加。入力欄にあるURLっぽい文字列をサブメニューのサービスで短縮変換します。
- 「操作」メニューの「片思いユーザーリスト取得」を「コマンド」メニューに移設。
- 設定ダイアログを開いたときに、フォーカスを「ユーザー名」にセットするようにした。
- 日時ソート順でソートできない問題に対応
***Ver0.1.0.0(2008/10/28)
- 更新間隔0を設定した場合にエラーが起こるバグ修正
- 終了処理中の設定保存でエラーが発生した場合は無視するよう変更（自動バージョンアップ対応）
- 起動時のバージョンチェックでバージョンアップする際、設定保存でエラーが発生するバグ修正
- Shiftキーを押しながら起動、もしくは最新版の取得を行うと、バージョンが上がっていなくても強制更新するよう変更
***Ver0.0.9.9(2008/10/28)
- ここ最近の設定追加項目を保存していなかった問題に対処
- オプションの起動時バージョンチェックと起動時キーデータ更新のオプションを追加
- 更新間隔自動調整で、取得16件以下の場合は+1秒へ変更
- TinyUrl展開オプションが機能していなかった問題を修正
- 更新間隔自動調整が機能していなかった問題を修正
- 更新間隔自動調整の有効・無効オプションを設定画面に追加（デフォルト有効）
- ステータス欄のPOST制限表示を時速表示に変更し、Fav数を追加（自発言/Fav/取得発言）。過去1時間の実績値です。
- ステータス欄にタイムライン更新間隔表示を追加
- ☆テスト☆タイムアウトを15秒に
- ☆暫定☆ルール編集時の再振り分けを高速化
- 振り分けルールでID指定の場合、大文字小文字を区別しないよう修正
- DMの投稿日時表示
- followersをAPI取得へ。起動時取得（オプションで変更可能）。手動取得追加。副作用：片思われの人から＠もらっても青字にならない
- Favの成功判定を、Fav追加APIの応答を使用せずに厳密に行うようにした（デフォルトOFF）
- リストと詳細部間の区切り線を移動してもサイズを保存していなかったバグ修正
- 「常に最前面に表示」するオプション追加
- タイムライン取得間隔のデフォルト値を90秒へ変更
***Ver0.0.9.8(2008/10/16)
- wedata変更分の取り込み
***Ver0.0.9.7(2008/10/16)
- 取得間隔の自動調整（最大値は設定値。短くする方向で自動調整）
- HomeのDM数を参照して、増加していたらDM取得
- Setting画面のタブインデックス整理
- Setting画面にTinyURLを解決するかのオプション追加（デフォルトON）
- 通信回線がOffからOnになった際、通信クラスを再作成（プロキシ情報を再取得のため）
- 1時間あたりのPOST残り回数と最大回数を表示するようにした。最大値は手動設定で初期値125、実際に制限する機能はありません。
- WindowsVistaで削除ダイアログのレイアウトが崩れていたのを修正
- プロキシの直接指定が出来るよう設定画面に追加
- Favの追加・削除が実際には行われているが、エラーとして認識していた問題に対応（twitter仕様変更）
- ウィンドウタイトルに未読数を表示している場合の未読数更新タイミングをリアルタイムに近づけた
- リストアイコンを表示しない設定の場合、アイコン画像を取得しないよう変更
- (TweenUp.exe)Administrator権限で動かしている場合、バージョンアップ時にTween.exeのプリコンパイルにより起動速度改善
***Ver0.0.9.6(2008/9/19)
- 最小化した際にタスクトレイアイコンのみにする設定を追加。設定画面で「最小化したとき　アイコン化する」にチェックを入れてください。
- Xボタンを押したときに終了する設定を追加。設定画面で「Xボタンを押したとき　終了する」にチェックを入れてください。
- サウンドを有効にするかどうかの切り替えメニューを追加した。(ファイル＞サウンド切り替え)
- 設定画面のタブ化
- Webブラウザ指定を「参照」ボタンから可能に
- 自分の発言の先頭が「. 」だったら返信と見なさないように変更
***Ver0.0.9.5(2008/8/27)
- DM削除できない問題を修正
***Ver0.0.9.4(2008/8/27)
- 48サイズアイコンの発言間を微調整
- 発言を削除できない場合がある問題を修正
- 自分宛@がrecentタブで未読状態で表示されたままになる問題を修正
***Ver0.0.9.3(2008/8/26)
- 48サイズアイコンのとき、Ver0091までの複数列表示も選べるようにした。
- 48サイズ1列表示のとき、名前等を太字で表示するよう変更。アイコンと文字の間を広げた。
- 48サイズ1列表示のとき、列ヘッダクリックで日時でソートするように変更
***Ver0.0.9.2(2008/8/25)
- 設定不可能な値を入力しているとキャンセルボタンで設定画面を閉じられない不具合を修正
- SHIFTキーを押したままPOSTボタンをクリックした場合にステータステキストを付加しないようにした。
- Twitterコマンド対策が「:D」「:-D」「W-OAM」並びにこれらに類似の文字列でも発動していたのを修正。
- 通常検索において、大文字小文字を区別せずに扱うようにした。区別したい場合は「大文字小文字を区別する」にチェックを入れてください。
- 検索で正規表現を使えるようにした。
- Favした発言を前後に移動できるショートカットキーを実装した。(SHIFT+Nまたは→で次へ、SHIFT+Pまたは←で前へ)
- アイコンサイズ48x48の場合はリサイズを行わないようにした。
- タイトルバーとツールチップにユーザー名を表示させる機能を追加。設定画面で「タイトルバーとツールチップ ユーザー名を表示」にチェックを入れてください。
- タイトルバーの表示内容を選択できるように変更（設定画面）。なし、バージョン、発言、未読＠数、未読数、未読数(未読＠数)、全未読/全発言数。（更新は取得時のみ）
- 振り分けルールダイアログで、ルールをダブルクリックしたときに編集できるようにした。
- URL選択ダイアログで、URLをダブルクリックしたときにURLジャンプできるようにした。
- 書き込みAPIの仕様変更に対応。単独ユーザーあてリプライが正しく返信先書き込みを指すようになりました。（表示識別は今後実装予定）
- 未読ジャンプ高速化
- DM解析キー変更に追従
- 画面下部URL表示欄に、各種カウント数表示
- ソート順ロックを有効化
- 48サイズアイコンのとき、リストを1列でまとめ表示するよう変更。（速度改善）
***Ver0.0.9.1(2008/8/4)
- 振り分けルールの変更有無チェックでこけるバグ修正
- タブ削除・タブクリアに確認メッセージ追加
- 発言削除・DM削除がエラーになる問題に対応
- 取得タイマーが止まる（？）問題に暫定対応
- siv情報がWebから削除されたので、関連コードを削除
***Ver0.0.9.0(2008/8/2)
- ファイル保存の表記をcsvからtsvへ変更。ダブルクォーテーションのエスケープ、タブ文字置き換え、改行置き換え追加
- SplitterDistanceが正しく保存されないバグ対応
- 振り分けルールの画面を開いて、編集せずに閉じただけで、再振り分け処理が走る問題を改善
- サスペンドから復帰時にエラーになる問題に対応
- https対応（無条件です。不都合あればお知らせください。）
- 指定タブの発言を全クリアする機能追加
- タブの未読管理をOffにしても、内部の状態が未読で残っていたバグ修正
***Ver0.0.8.9(2008/7/18)
- サインインのWeb変更対応（https、ユーザ名＆パスワードフィールドの名前変更）
***Ver0.0.8.8(2008/7/9)
- STOT形式コピーで原因不明のエラーが出るので、内部的にリトライするよう変更
- Ctrl+Eで発言中のURLを開く機能追加
- GDI+の汎用エラーに対処（不正な画像形式（ICOなど）の場合はスキップ）
***Ver0.0.8.7(2008/7/4)
- 発言にD:が含まれる場合に、エスケープしてポストができない問題を修正
- プロテクトユーザーの発言が「Add meなんちゃら」になった場合に、HTMLタグが発言に含まれてしまう不具合修正
- 振り分けルール変更時に、再振り分けするように変更
- STOT形式コピーの際、例外が発生する問題に対処
***Ver0.0.8.6(2008/6/17)
- 振り分けルールに正規表現を使うルールを追加する際、正規表現の妥当性チェックを追加
- htmlスクレイピングのキーデータをwedataから取得するよう変更。単純なWeb仕様変更は、wedataの変更のみで対応できるようになりました。
- STOT形式コピーの際、例外が発生する問題に対処
***Ver0.0.8.5(2008/6/13)
- Twitter仕様変更（Recent）への対応
***Ver0.0.8.4(2008/6/13)
- DMの送信・受信がそれぞれ一件以上ない場合、DM取得失敗と表示されて片思い表示になってしまうバグ修正
- DM取得失敗時は、片思い表示をしないように修正
- DM取得での両思いのユーザー取得処理を、DM受信分の時のみ実施するよう修正
***Ver0.0.8.3(2008/6/12)
- 発言履歴が上書きされる問題を修正
- ルールヒットマークが文字化けするので、shift-jis対応文字へ変更（♪）
- 取得HTMLが切れた状態で取得される場合があるらしいので対応
- 起動時repliesページの取得に失敗しても、通常モードへ移行するよう変更
- 通信エラー時のリトライ回数を３回→２回へ変更
- メニューに「全て選択」を復活。ショートカットキーの表記はないが、Ctrl+Aで代用可能
- タイムライン取得時にreplyもチェックするかを選択するオプション追加
- 発言投稿をAPIに一本化
- まとめて既読にする時、タブ見出しがちらつく問題に対処
- 未読ジャンプで、次の発言へ移る際のスクロール位置を変更
- 「新着時リスト固定」されていない場合、最新発言が表示されている場合のみスクロールするよう変更
- Shift+Zで、選択行を画面中央へ再表示
***Ver0.0.8.2(2008/6/5)
- タブ削除するとエラーが発生する問題に対処
- 発言履歴を遡る時カーソルが末尾に設定されない問題を修正
- Tweenについて、の画面で更新履歴表示部にスクロールバーを追加
- 発言履歴を表示→入力エリア削除→別の履歴を表示、で履歴が空にならないように修正
***Ver0.0.8.1(2008/6/5)
- 「振り分けフィルター」の文言を「振り分けルール」に変更
- ルールに、正規表現を使うか・リンク先URLも検索するか、のオプション追加（ルール見直しお願いします）
- ルールにマッチした場合、マークを付ける・何もしない、のオプションを追加。マークはリストアイコン横に表示（ルール見直しお願いします）
- リンク先を開くブラウザを指定できるように設定に追加（手抜きなのでフルパスでブラウザ本体を指定。存在チェックもしていない）
- 未読消化時にタブ見出しがちらつく問題に対処
- プロテクトマークを◆→Юへ変更。
- タブ切り替え時にリストの列並び順がリセットされてしまう問題に対処
- 発言を複数選択してCtrl+Rしたときに、頭にドット（.）が付加されない問題に対処
- DM返信補助で、フォーカスが入力欄へ移らない問題と、入力内容が消えてしまう問題に対処
- 入力欄で上下キー押下することで、発言履歴を表示
- 編集メニューに「コピー（STOT形式テキスト）」「コピー（ステータスURL）」を追加
- 操作メニューに「ID振り分けルール作成」を追加
- 振り分け先タブ選択画面表示時に、リストにフォーカスを設定するよう修正
- 「ヘルプ」→「Tweenについて」の画面に更新履歴の表示を追加
- （追記）マーク表示がアイコン列をはみ出して表示される問題を修正
***Ver0.0.8.0(2008/6/2)
- 通信タイムアウトをデフォルト値へ戻した。リトライは継続ししているが止めようかな・・・
- Ctrl+CでSTOT形式でクリップボードへコピー
- Ctrl+Shift+CでステータスURLをクリップボードへコピー
- プロテクトな人を識別できるように、アイコン横に◆マークを表示
- 発言欄でCtrl+Aが効かなかった問題に対処。リストのCtrl+A用メニューを削除。機能はしますのでご安心を。使わないか。
***Ver0.0.7.9(2008/6/1)
- 発言投稿がAPIを使用しないとできなくなっていた問題を修正
***Ver0.0.7.8(2008/5/31)
- 発言投稿をAPIでできるように変更（デフォルトOff。APIの場合は『from Tween』と表示されます♪）
- 複数発言選択時のCtrl+Rが1件分しか働かなかった問題に対処
- HTTP通信タイムアウトを20秒にしてリトライ2回するように変更。（発言投稿以外）
- 発言投稿を別スレッド化して、タイムライン取得待ちを軽減（したつもり）
- 『@返信ALL』メニュー追加。発言者と選択している発言に含まれるID全員に返信
- DMの頭にスペースが入っていた問題に対処
- メニューの『ヘルプ』から、Webページを開く項目が機能しなかったバグ修正
- 誤爆防止のため、Ctrl+Qのショートカット削除
***Ver0.0.7.7(2008/5/29)
- ＤＭポスト時のレスポンスを考慮していなかった問題に対応（何度もごめんなさい。）
***Ver0.0.7.6(2008/5/29)
- 長文ポスト時のレスポンスが日本語対応していなかった問題に対応
***Ver0.0.7.5(2008/5/29)
- HTTP通信のヘッダパラメータ変更。通信が早くなった・・・かも知れない。
- Ctrl+Enterでポストするオプションを有効化。これに伴い、POST時の警告音が出る問題も解決
- POSTエラー時のメッセージをWebからの取得に変更。
- ヘルプ→Twitterからのお知らせ　メニューを追加。HTMLタグの除去などはしていないので、文字化ける可能性あり。そのうち対応。
- 次頁取得閾値のデフォルト値を20に変更
***Ver0.0.7.4(2008/5/23)
- fav 済をさらにfavるとエラーになる問題を修正
- 違う発言がfavられる問題を修正
- タブ切り替え時にクラッシュする問題を修正
***Ver0.0.7.3(2008/5/21)
- 発言複数選択してフィルター作成を選択したときに、一括ID登録できるように対応
- 起動時Reply読み込みページ数が機能していなかった問題に対応
- フィルター編集画面のタブドロップダウンリストが機能していなかった問題に対応
- 個別のフィルターを編集すると、フィルターが二重登録されたり、本文の文字列が増殖する問題に対応
***Ver0.0.7.2(2008/5/20)
- 振り分けフィルター機能追加。IDや本文にヒットする条件を指定してください。IDは完全一致です。本文は指定単語が含まれればヒットし、英大小文字は区別しません。スペース区切りでAND条件になります。ID+POSTの場合は、発言者IDと発言内容を区別なくチェックします。ID&POSTの場合は、IDと本文それぞれの条件がAND条件となりますが、未指定の場合は条件に含まれません。本文はリンク先URLも検索対象となります。
- Fav追加・削除の非同期化
- ポップアップメニューがあらぬところに出現する問題に対処
- 新着通知、未読管理、再生Wavファイルをタブ別に設定するようにしました。新着通知については、ファイルメニューの新着通知が親で、これがONになっている場合にタブ別の新着On/Off が機能します。未読管理についても同様、設定画面の未読管理が親になっています。サウンド再生についても設定ファイルのサウンド再生が親になっています。
- 前バージョンとは設定ファイルの互換性がなくなりました。前バージョンからの自動更新もされません。
- 自動バージョンアップツールをVBScriptから@syo68k氏作成のexeに変更（Thanks! @syo68k）
***Ver0.0.7.1(2008/5/8)
- Enterキーでの複数Replyができない問題に対処
***Ver0.0.7.0(2008/5/8)
- 送信DMが受信DMと同じ表示になってしまい、見分けがつかなくなる問題に対処
- 返信操作補助で、発言選択してEnter、発言ダブルクリックの場合は、返信先が重複しないよう判定。この操作の場合、返信先は文頭に追加されます。
- 返信補助操作で、Ctrl+R（もしくはメニューから選択）の場合は、返信先の重複チェックをせず、文末に返信先を追加します。
***Ver0.0.6.9(2008/5/8)
- 特定ユーザーへのリプライができない問題に対処
- DMの送信分も取得（送信分は片思いの色で表示します）
- 更新間隔0を指定可能に（自動更新無効）
- ReplyとDMの起動時読み込みページ数を指定可能に。（RecentとDMは1～、Replyは0～指定可能です。）
***Ver0.0.6.8(2008/5/7)
- 新規タブ作成時に、列幅、列の並び順が全タブデフォルトに戻る問題に対処
***Ver0.0.6.7(2008/5/7)
- 列幅、列の並び順が次回起動時に復元されない場合がある問題に対処
***Ver0.0.6.6(2008/5/7)
- データ取得時の更新中アイコン（矢印のやつ）をアニメーション（Thanks! @pureminami）
***Ver0.0.6.5(2008/5/7)
- Webのレイアウト変更への対応（発言本文にSPANタグが見えてしまっていました）
***Ver0.0.6.4(2008/5/7)
- Webのレイアウト変更への対応（発言本文にSPANタグが見えてしまっていました）
***Ver0.0.6.3(2008/5/6)
- Webのレイアウト変更への対応
- タブ見出しをD&Dで並べ替えできるようにしました（デフォルトのタブ以外）
***Ver0.0.6.2(2008/4/11)
- Webのレイアウト変更への対応
***Ver0.0.6.1(2008/4/9)
- Webのレイアウト変更への対応（発言の投稿）
- Tabをダブルクリックして名前を変更できるように
***Ver0.0.6.0(2008/4/9)
- Webのレイアウト変更への対応（Recent取得：2回目）
***Ver0.0.5.9(2008/4/9)
- Webのレイアウト変更への対応（Recent取得）
- 起動時の読み込み継続確認でタスクバーをブリンク
- 自動更新時のProxyキャッシュ回避対策
- 発言詳細部にフォーカスがあるとき、Spaceキーで未読ジャンプできるように
- 発言詳細部にフォーカスがあるとき、F5キーで発言詳細が消える問題に対応（新着取得は機能しません）
***Ver0.0.5.8(2008/4/2)
- 更新中アイコンを入れ替え
- 終了時処理が十分でなく、エラーログが記録されていた問題に対応
***Ver0.0.5.7(2008/4/2)
- 発言域でもSpaceキーで未読へジャンプするよう変更。但し、発言域が空の場合のみ。
- 別のフォルダから起動した場合は、二重起動できるように変更(複数アカウント対応)
- 検索ボックスを開いたとき、前回の検索ワードを選択状態で表示するよう変更
- リスト発言選択時の色変え処理にディレイ&キャンセル処理復活(保持発言が多くなった場合の負荷軽減)
- 各種ダイアログを開いた後、メイン画面に戻った際に発言域のIMEがOffになる問題を修正
- 新着通知とサウンド再生が個別に機能するよう修正
***Ver0.0.5.6(2008/3/23)
- j/kキーでの移動で、Ctrl、Shiftキーとの併用を可能にし、カーソル上下と同様の操作を可能に。
- リストのちらつき低減。（ダブルバッファ）　動作が重く、使用に耐えない場合はお知らせください。
- 設定画面を閉じた際に、現在の全設定をファイル保存するよう変更。
- 最終既読位置の保管をしないよう変更。
- 保持している発言のファイル書き出し機能追加。UTF-8のタブ区切り。形式：username,発言（テキスト）,日時,nickname,ID,発言（html形式のリンク含む）
- 発言入力部でのみ、Ctrl+Spaceによる未読ジャンプ復活。
- 発言入力部でのCtrl+Aによるリスト全選択を無効に。そのうち入力内容の全選択ができるようにする。
***Ver0.0.5.5(2008/3/19)
- カーソル移動系の1キーショートカット追加。z：選択発言を画面最上行になるようスクロール（日時昇順の場合。降順の場合は最下行）。Shift+g：最新発言へジャンプ。Shift+h：画面内の最上行へジャンプ。Shift+l：画面内の最下行へジャンプ。Shift+m：画面内の中央行へジャンプ。
***Ver0.0.5.4(2008/3/18)
- アイコンカスタマイズ機能が動いてなかったので修正
***Ver0.0.5.3(2008/3/18)
- カーソル移動系の1キーショートカット追加。.：アンカーへ移動、←/→：アンカー＆関連発言移動、Enter：Reply入力補助
- 発言編集領域にフォーカスあるとき、背景色を変えました。（色の変更できません。そのうち・・・）
- バージョンアップ用スクリプトがutf-8で吐き出されるため動かない問題に対応
※0.0.5.1or0.0.5.0（？）からバージョンアップする人は、手動でお願いします。
※0.0.5.3をダウンロードしてしまった方は、15:42に再アップしたので、再度ダウンロード＆入れ替えをお願いします。
***Ver0.0.5.2α(2008/3/17)
- カーソル移動系の1キーショートカット追加。j/k：上下、h/l：その人の前後発言、n/p：アンカー＆関連発言移動、Space：未読ジャンプ（リストでのみ有効）
- Ctrl+Spaceによる未読ジャンプのショートカット廃止
（1キーショートカットの反応を見るためのテストリリース）
***Ver0.0.5.1(2008/3/12)
- タブ切り替え時にエラーが発生する問題を修正
- タブメニューのIDコピー/移動選択時に表示されるタブ選択画面で、タブを選択しないでOKボタン押すとエラーが発生する問題を修正
- 各種アイコンを一新 ※Minamiさんありがとう！
- バージョンアップ用のスクリプトを修正して、プロセスの終了を待つように変更
- アイコンのカスタマイズに対応(アイコンフォルダを作ってゴニョゴニョする。詳細は別の機会に。。。)
***Ver0.0.5.0(2008/3/11)
- 新着取得分の表示が欠ける場合がある問題を修正
***Ver0.0.4.9(2008/3/11)
- 新着取得分の色変えが行われないバグ修正
- マウスホイールでのスクロール時に色変えが行われないバグ修正
***Ver0.0.4.8(2008/3/10)
- 保持件数が多くなると、カーソル移動が遅くなる問題を修正。「遅くなったから再起動」は不要になるはずです。
- ヘルプメニューに「Tweenまとめサイトへ」「公開ページ」「ダウンロードページ」を追加
- 操作メニューの「更新」にアクセスキー「U」を設定
（まだ設定画面いじくり中で見難いままです。ごめんなさい。）
***Ver0.0.4.7(2008/3/4)
- @返信の判別不具合修正。色が変わらない場合、返信と認識しない場合が多々ありました。
（緊急リリースのため、設定画面が見難くなっています。ご了承くださいませ。）
***Ver0.0.4.6(2008/2/29)
- ＤＭ、自発言の複数一括削除でエラーになる不具合を修正
- ハートマーク対応（遅　<3を?に変換します
- 自分宛のReply判定を正規表現に変更。他の人宛の返信を自分宛の返信と判定することがある問題を修正
- tinyUrlの事前展開に対応（画面下部のリンク先表示に時間がかからなくなりました）
- デッドロック（？）に対応したつもり
- POST処理中にリストダブルクリックで、@hogehogeが処理中の発言に付加される問題を修正
- 使用しているアイコンの関係で、配布ライセンスを明記（CreativeCommons Attribution-ShareAlike 2.5）　どなたかアイコン下さいm(_ _)m
***Ver0.0.4.5(2008/2/24)
- Fav削除でエラーが発生する問題に対応
***Ver0.0.4.4(2008/2/24)
- リスト描画方式変更（0.0.4.1～3よりメモリにやさしい、と思う）
- Fav追加／削除を同期処理に戻した
- Fav追加／削除したとき、発言詳細の名前文字色を即時変更するようにした
- DMリストで「ステータスを開く」コマンドを無効にした（まだ暴発しますが・・・）
- Twitterコマンドの判別条件を緩和。発言に失敗した場合はお知らせいただけると助かります。
- 発言詳細の表示が変更された場合のナビゲート音を出さないように変更
- 複数発言のFav時に、確認メッセージを追加
***Ver0.0.4.3(2008/2/21)
- URL中のTwitterコマンドを無視するように修正
***Ver0.0.4.2(2008/2/21)
- Recentのリストで、リストアイコンサイズ24,48の場合に、折り返し表示されないバグ修正
- Reply,DMのリストで、右クリックメニューが表示されないバグ修正
- 手動での最新版取得メニューを追加
***Ver0.0.4.1(2008/2/21)
- リストのチラつきをなくしました
- Twitterコマンドが含まれる発言が「DM宛先間違い」で投稿できない問題に対応しました
***Ver0.0.4.0(2008/2/20)
- DMの発言詳細表示がされないバグ修正
- 新着取得時に発言詳細部が再描画される問題を修正
- POST中のreply、DM発言操作補助が効いてしまうバグ修正
***Ver0.0.3.9(2008/2/19)
- リスト描画高速化
- 自動バージョンチェック＆更新追加
***Ver0.0.3.8(2008/2/16)
- RecentとRepliesを取得するときに、1ページ目はページクエリを付けないように修正
***Ver0.0.3.7(2008/2/15)
- DMタブ選択時に不正落ちするバグ対応（リプライ条件変更対応時のバグ）
- エラートラップでさらにエラーが起きるアホなバグ修正
***Ver0.0.3.6(2008/2/15)
- アイコンずれ問題に対応（したつもり）
- バックグラウンド処理時の不正落ちを捕捉し、ログへ書き出す処理追加（トラップ漏れしてたっぽい）
- リプライ条件変更に伴い、文末の「in reply to」も参照して自分への返信と判断するよう拡張
***Ver0.0.3.5(2008/2/15)
- バレンタイン対応（相手のいない発言（プロテクト？？？）への対応）
- 発言ポスト時の非同期化
- 本文とステータス間に半角スペースを補完
***Ver0.0.3.4(2008/2/14)
- バレンタイン対応　・・・もう勘弁・・・
- 未読ジャンプで複数件選択される場合のあるバグ対応
- 発言削除時にエラーになるバグ対応
- Get時のnocacheオプション削除
- 通信タイムアウトをデフォルトへ戻した（90秒）
***Ver0.0.3.3(2008/2/13)
- Webで削除したけどTweenに残っている発言をFavるとエラーになるバグ修正
- 片思いをOffにしても、既読⇒未読に変わると片思いの色になる切ないバグ修正
- 発言部にフォーカスがあるとき、未読ジャンプしたらフォーカスをリスト部へ移すよう変更
- 未読ジャンプで該当なかったら、Recentタブの最終発言に戻るよう変更
- 発言ステータス（個別発言のページ）を開くメニュー追加（Ctrl+O）
- ふぁぼられを開くメニューを追加（Ctrl+Shift+O）
- 新着通知バルーンをクリックしても画面がアクティブにならない場合がある問題へ暫定対応
- DMタブで発言をダブルクリックしたら、DM送信補助操作になるように変更
- マウス操作による複数人リプライ補助操作に対応（先頭にドット付加）
- 長時間起動で落ちる（？）場合があるらしいので、エラーログ記録機能追加
- 設定画面のステータス設定に例を追記（例）[TWN]）　←Tweenにしている方は、変更にご協力いただけると助かります。Twitter検索が難しいのです。
***Ver0.0.3.2(2008/2/7)
- 0.0.3.0の抜けチェック機能を削除。設定で閾値=1、取得ページ=10にすれば抜けませんが、Twitter側も思うところあっての対応だと思われますので、この設定は非推奨です。
***Ver0.0.3.1(2008/2/6)
- メニューの「操作」が開けなくなっていたバグ修正
***Ver0.0.3.0(2008/2/6)
- 150発言取得したら、10ページ遡って抜けチェックします。暫定機能です。Twitterが復調したら消します。
- Ctrl+Spaceキーで未読発言へジャンプします。タブ横断します。ただし、リストにフォーカスがあるときしか機能しません。
***Ver0.0.2.9(2008/2/5)
- タブ操作で新規タブにIDコピーor移動した場合、ソート順が他のタブと異なる場合がある問題を修正
- タブ操作でタブ削除後に削除したタブと同名のタブを作成するとエラーが発生する問題を修正
- 保持している発言が多くなると、スクロールがもたつく問題を修正
- 主に48*48のアイコンの場合に、スクロールがもたつく問題に暫定対応（アイコンの画質下げ。見た目は変わりません）
- Windowsの日付と時刻の形式設定で、年を削っている場合にソート処理で例外が発生する問題を修正
***Ver0.0.2.8(2008/2/4)
- 片思いの人の発言を選択すると、通常発言の文字色になってしまうバグ修正
- 一旦終了すると、未読・既読の文字色が黒に戻ってしまうバグ修正
- バージョン情報表示画面追加（ファイルメニュー）
- リストの列並び順、ソート順、列の幅をすべてのリストで共通化（DMのソート順は例外）
- 新着通知バルーンに表示するユーザー名を「なし」「ユーザーID」「ニックネーム」から選べるように変更（設定画面）
- 新着受信時にリストの表示を固定する設定を、設定画面からファイルメニューへ移動
***Ver0.0.2.7(2008/2/2)
- タブ操作のID移動の動作ががIDコピーになる場合があるバグ修正
- Twitterが重い場合にエラーが発生する問題を修正
- タスクトレイアイコンでステータス通知するよう変更
          o 青＠：通常
          o グレー＠：オフライン（オンラインになるまで更新動作しません）
          o 青矢印：更新中
          o 赤＠：更新エラーあり（エラーのバルーン表示はなくなりました。ステータスに表示されます）
- フォント＆色をユーザーが変更できるよう設定に追加（設定画面）
- XPでの動作時、メニュー背景が青くなっていたのを修正
***Ver0.0.2.6(2008/1/23)
- 新着通知サウンドのOn/Off切り替えを設定に追加（デフォルトOff。音を出したい人はwavファイルを用意して設定変更してね）
- 片思い表示のOn/Offを設定に追加
- 未読管理のOn/Offを設定に追加
- @Replyの発言補助を改善
- アイコンサイズ変更時にエラーになるバグ修正
- アイコン取得のスレッド化を中止（起動がちょっとだけ遅くなりました。今後改善します）
- DMも未読管理するように変更（起動時読込分は既読です）
***Ver0.0.2.5(2008/1/22)
- 新着通知サウンド対応（実行ファイルと同じフォルダにnew.wav,reply.wav,dm.wavを置くと幸せになれるかも）テストしてません。ごめんね！
- POST時にRecent,Replyを更新
- Windows2000でメニューが真っ黒になる問題に対応。（XPではメニュー背景が青くなってしまった。古いUIを選択すればOKかも）
- タブ見出しのフォントを指定しないように変更
- IDコピーやReplyで、同一ポストが複数タブに登録されていても、現タブでそのポストの未読状態を変更したら、他タブの同ポストの未読状態も同時に更新
- 複数発言を選択しての未読状態変更時に、タブの未読アイコンを即時更新
- Replyタブの発言背景色変更を有効にした
- アイコンサイズを変更した場合に、すぐにリストを再描画するように変更
- 新着件数が閾値を超えた場合の追加読込ロジックを修正。大多数の場合、次のページまでしか読んでいなかった。
***Ver0.0.2.4(2008/1/19)
- 片思い識別（片思いの人は文字色を青で表示。follower情報はDM更新のタイミングです。）
- ステータス設定を設定画面に追加
***Ver0.0.2.3(2008/1/17)
- 多重起動禁止
- 設定値の初期値変更
- 起動時DM取得も20件毎に応答を返すように変更（タイムラインは対応済み）
- タブ削除時のバグ修正
***Ver0.0.2.2(2008/1/16)
- 検索機能追加
- アイコンサイズ48、24の時、リスト内発言を複数選択できない不具合修正
- 起動時読込継続確認メッセージでキャンセルを選択しても、読込を中断しない不具合修正
- 全新着通知の切り替えにショートカット（Ctrl+Q）を設定
- FavのショートカットをCtrl+FからCtrl+Sへ変更
***Ver0.0.2.1(2008/1/9)
- Repliesからも取得
***Ver0.0.2.0(2008/1/9)
- ローカルへのログ保存機能を削除（コードは残してあります。これなかったら使ってやらん！という場合は教えてください）
- 起動時読込ページ数の10ページ制限を再度撤廃（前回既読位置、または設定ページ数どちらか早いほうまで読み込みます。10ページ毎に継続確認メッセージが出ます。）
- リスト中発言の折り返し表示を実装（Vistaは昔から対応済み。今回はXP。アイコンサイズ24または48で折り返し表示されます）
- 新着通知設定（すべて通知、（すべて通知をOffにして）Replyを通知、DMを通知）
- 投稿欄脇に文字数カウンタ追加。さらに140文字を超えると、発言欄の文字が赤くなります。
***Ver0.0.1.9(2007/12/28)
- ブラウザ起動を非同期処理にしました（発言中のURLクリックや発言者のHomeを開くなど）
***Ver0.0.1.8(2007/12/27)
- DMの詳細表示で落ちるバグ修正。ごめんよごめんよ
***Ver0.0.1.7(2007/12/27)
- DMのアイコン取得で落ちるバグ修正。超恥ずかしい
***Ver0.0.1.6(2007/12/27)
- 未読があるタブ見出しにアイコンを表示するようにしました
***Ver0.0.1.5(2007/12/26)
- 片思いの人がプロテクトに設定変更したときに流れてくる文言で落ちるバグ修正
***Ver0.0.1.4(2007/12/22)
- 過去ログ読み込み時に、現在のアイコンとログのアイコンが変わっている人がいると起動時に固まるバグ修正
***Ver0.0.1.3(2007/12/21)
- タブ作成（いくつでも）機能追加（右クリック→タブ操作）
- 各タブへの発言振り分け（ID指定）機能追加（右クリック→タブ操作）
- リンク先URL表示追加
- 古いポスト読み込み時のロジックを変更
- ブラウザ部のフォントをMS UI Gothicに変更
***Ver0.0.1.2(2007/12/14)
- アイコン取得のスレッド終了を待っていなかったバグ修正（アイコンが表示されないことがありました）
- リストのアイコンサイズに16*16を追加
- リストのアイコンサイズは全リストで共通設定とし、設定画面に移した
- 「アイコンなし」を選んだときに、行高さが最適な高さになるよう修正
***Ver0.0.1.1(2007/12/12)
- 返信先ポストの色換えができていなかったバグ修正
- 新着取得エラー時に再ログインできない場合があるバグ修正
***Ver0.0.1.0(2007/12/11)
- 新着取得時にリスト表示位置を固定するオプション追加。固定しなければ勝手にスクロールします。
***Ver0.0.0.9(2007/12/10)
- ログ読込期間で、単位（分間、時間、日間）を指定可能に
- 投稿文の表示を、RichTextからWebBrowserに変更。（追加DLLは使わなくなったよ。）
***Ver0.0.0.8(2007/12/7)
- 起動時のログ読込・新着読込で、適時応答を返すように変更
- 返信先・返信元の色修正
- 各種ショートカットの追加
- メニュー周りの見直し
- 設定をいくつか追加（過去ログ読込日数は、ポスト数や時間数指定が出来るように変更予定）
***Ver0.0.0.7(2007/12/5)
- リスト更新間隔を設定画面から変更しても元に戻ってしまうバグ対応
- ログ保存機能追加　起動が目茶目茶遅くなる。要改善
- 返信先・返信元の色換え追加　色が適当すぎ。後で変える。ユーザーが変えられるようにもする。
- 遅延時・エラー時の取得漏れ対応
- アイコン取得のスレッド化
***Ver0.0.0.6(2007/12/3)
- アイコンサイズ選択（大、小、なし）　（アイコン「あり」から「なし」に変更した場合のリスト高さは、再起動しないと反映されません。極小サイズも追加しようかしら・・・）
- 発言、DMの削除
- DM取得タイマーを別に設けました。設定画面にも追加。（デフォルト600秒）
***Ver0.0.0.5(2007/12/1)
- （自分宛）Reply、DM（Inbox）のタブを追加
- リスト内のポップアップメニューに返信、DM送信、削除を追加（削除機能は正常動作しません）
***Ver0.0.0.4(2007/11/29)
- gzip,deflateに対応。（微妙に速度アップ）
- socketを廃してWebRequest/WebResponceに一本化。コード半減しました。
- エラー時のメッセージ刷新
***Ver0.0.0.3(2007/11/28)
- 設定ファイルを実行ファイルパス（Tween.exe.config）に保存するよう変更
- 設定ファイルのバージョン互換性を持たせた
- 最小化したまま保存したとき、位置等に変な値が保存されるバグを修正
***Ver0.0.0.2-1(2007/11/23)
- タイムラインリストにソート、列の入れ替え機能追加（デフォルト　投稿日の降順）
- ソート設定の保存・復元（起動・終了時）
- 新着ポストがあった場合、リスト表示位置を保持
- メモリ消費をちょびっと減らした
- RichTextにコンテキストメニュー「コピー」追加。あと何がいるんだ？
